SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


CREATE TABLE `activities` (
  `id` int(20) unsigned NOT NULL AUTO_INCREMENT,
  `iduser` int(10) unsigned NOT NULL COMMENT 'he who does',
  `action` tinyint(3) unsigned NOT NULL COMMENT '1: Follow a user   2:Created a album   3: Add Post   4: Commented a Post   5:Likes a Post   6: Friend Request Sent   7: Confirm to Friend Request   8: Change avatar   9: Change cover   10: Share a Post''',
  `idresult` bigint(20) unsigned NOT NULL COMMENT 'idcomment or idlike  or idpost shared',
  `iduser2` int(10) unsigned NOT NULL COMMENT 'the affected',
  `iditem` bigint(20) unsigned NOT NULL COMMENT 'affected element ',
  `typeitem` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '1: Post   2: album',
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `ads_basic` (
  `idad` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `adsource` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idad`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

INSERT INTO `ads_basic` (`idad`, `code`, `adsource`) VALUES
(1, 'adsbasic1', '<script async src=\\"//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js\\"></script>\n<!-- 200 x 200 Cuadrado de 200 -->\n<ins class=\\"adsbygoogle\\"\n     style=\\"display:inline-block;width:200px;height:200px\\"\n     data-ad-client=\\"ca-pub-3796765951215209\\"\n     data-ad-slot=\\"7966384907\\"></ins>\n<script>\n(adsbygoogle = window.adsbygoogle || []).push({});\n</script>'),
(2, 'adsbasic2', '<script async src=\\"//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js\\"></script>\n<!-- 200 x 200 Cuadrado de 200 -->\n<ins class=\\"adsbygoogle\\"\n     style=\\"display:inline-block;width:200px;height:200px\\"\n     data-ad-client=\\"ca-pub-3796765951215209\\"\n     data-ad-slot=\\"7966384907\\"></ins>\n<script>\n(adsbygoogle = window.adsbygoogle || []).push({});\n</script>');

CREATE TABLE `albums` (
  `idalbum` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `namealbum` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(300) COLLATE utf8_unicode_ci NOT NULL,
  `who_see` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Public   1: Friends   2: Only me',
  `numphotos` int(10) unsigned NOT NULL DEFAULT '0',
  `numlikes` int(10) unsigned NOT NULL DEFAULT '0',
  `numcomments` int(10) unsigned NOT NULL DEFAULT '0',
  `idpost` int(10) unsigned NOT NULL DEFAULT '0',
  `created` int(10) unsigned NOT NULL,
  `modified` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idalbum`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `albums_photos` (
  `idphoto` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `idalbum` int(10) unsigned NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `photo` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(300) COLLATE utf8_unicode_ci NOT NULL,
  `numlikes` int(10) unsigned NOT NULL DEFAULT '0',
  `numcomments` int(10) unsigned NOT NULL DEFAULT '0',
  `who_see` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Public   2: Friends   3: Only me',
  `whendate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idphoto`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `chat` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `id_from` int(10) unsigned NOT NULL,
  `id_to` int(10) unsigned NOT NULL,
  `message` text COLLATE utf8_unicode_ci NOT NULL,
  `isread` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `thedate` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `comments` (
  `idcomment` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idpost` bigint(20) unsigned NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `typeuser` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: user   1: page',
  `comment` text COLLATE utf8_unicode_ci NOT NULL,
  `whendate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idcomment`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `country` (
  `code` char(3) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `country` char(52) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `lat` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `lon` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `code2` char(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '0: inactive   1: active',
  PRIMARY KEY (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `country` (`code`, `country`, `lat`, `lon`, `code2`, `status`) VALUES
('ABW', 'Aruba', '12.524591573239025', '-70.02702709887694', 'AW', 1),
('AFG', 'Afghanistan', '34.52595328392913', '69.16442874218751', 'AF', 1),
('AGO', 'Angola', '-8.845529651701648', '13.22204592968751', 'AO', 1),
('AIA', 'Anguilla', '', '', 'AI', 1),
('ALB', 'Albania', '', '', 'AL', 1),
('AND', 'Andorra', '', '', 'AD', 1),
('ANT', 'Netherlands Antilles', '', '', 'AN', 1),
('ARE', 'United Arab Emirates', '', '', 'AE', 1),
('ARG', 'Argentina', '', '', 'AR', 1),
('ARM', 'Armenia', '', '', 'AM', 1),
('ASM', 'American Samoa', '', '', 'AS', 1),
('ATA', 'Antarctica', '', '', 'AQ', 1),
('ATF', 'French Southern territories', '', '', 'TF', 1),
('ATG', 'Antigua and Barbuda', '', '', 'AG', 1),
('AUS', 'Australia', '', '', 'AU', 1),
('AUT', 'Austria', '', '', 'AT', 1),
('AZE', 'Azerbaijan', '', '', 'AZ', 1),
('BDI', 'Burundi', '', '', 'BI', 1),
('BEL', 'Belgium', '', '', 'BE', 1),
('BEN', 'Benin', '', '', 'BJ', 1),
('BFA', 'Burkina Faso', '', '', 'BF', 1),
('BGD', 'Bangladesh', '', '', 'BD', 1),
('BGR', 'Bulgaria', '', '', 'BG', 1),
('BHR', 'Bahrain', '', '', 'BH', 1),
('BHS', 'Bahamas', '', '', 'BS', 1),
('BIH', 'Bosnia and Herzegovina', '', '', 'BA', 1),
('BLR', 'Belarus', '', '', 'BY', 1),
('BLZ', 'Belize', '', '', 'BZ', 1),
('BMU', 'Bermuda', '', '', 'BM', 1),
('BOL', 'Bolivia', '', '', 'BO', 1),
('BRA', 'Brazil', '', '', 'BR', 1),
('BRB', 'Barbados', '', '', 'BB', 1),
('BRN', 'Brunei', '', '', 'BN', 1),
('BTN', 'Bhutan', '', '', 'BT', 1),
('BVT', 'Bouvet Island', '', '', 'BV', 1),
('BWA', 'Botswana', '', '', 'BW', 1),
('CAF', 'Central African Republic', '', '', 'CF', 1),
('CAN', 'Canada', '', '', 'CA', 1),
('CCK', 'Cocos (Keeling) Islands', '', '', 'CC', 1),
('CHE', 'Switzerland', '', '', 'CH', 1),
('CHL', 'Chile', '', '', 'CL', 1),
('CHN', 'China', '', '', 'CN', 1),
('CIV', 'Côte d’Ivoire', '', '', 'CI', 1),
('CMR', 'Cameroon', '', '', 'CM', 1),
('COD', 'Congo, The Democratic Republic of the', '', '', 'CD', 1),
('COG', 'Congo', '', '', 'CG', 1),
('COK', 'Cook Islands', '', '', 'CK', 1),
('COL', 'Colombia', '', '', 'CO', 1),
('COM', 'Comoros', '', '', 'KM', 1),
('CPV', 'Cape Verde', '', '', 'CV', 1),
('CRI', 'Costa Rica', '', '', 'CR', 1),
('CUB', 'Cuba', '', '', 'CU', 1),
('CXR', 'Christmas Island', '', '', 'CX', 1),
('CYM', 'Cayman Islands', '', '', 'KY', 1),
('CYP', 'Cyprus', '', '', 'CY', 1),
('CZE', 'Czech Republic', '', '', 'CZ', 1),
('DEU', 'Germany', '', '', 'DE', 1),
('DJI', 'Djibouti', '', '', 'DJ', 1),
('DMA', 'Dominica', '', '', 'DM', 1),
('DNK', 'Denmark', '', '', 'DK', 1),
('DOM', 'Dominican Republic', '', '', 'DO', 1),
('DZA', 'Algeria', '', '', 'DZ', 1),
('ECU', 'Ecuador', '', '', 'EC', 1),
('EGY', 'Egypt', '', '', 'EG', 1),
('ERI', 'Eritrea', '', '', 'ER', 1),
('ESH', 'Western Sahara', '', '', 'EH', 1),
('ESP', 'Spain', '', '', 'ES', 1),
('EST', 'Estonia', '', '', 'EE', 1),
('ETH', 'Ethiopia', '', '', 'ET', 1),
('FIN', 'Finland', '', '', 'FI', 1),
('FJI', 'Fiji Islands', '', '', 'FJ', 1),
('FLK', 'Falkland Islands', '', '', 'FK', 1),
('FRA', 'France', '', '', 'FR', 1),
('FRO', 'Faroe Islands', '', '', 'FO', 1),
('FSM', 'Micronesia, Federated States of', '', '', 'FM', 1),
('GAB', 'Gabon', '', '', 'GA', 1),
('GBR', 'United Kingdom', '', '', 'GB', 1),
('GEO', 'Georgia', '', '', 'GE', 1),
('GHA', 'Ghana', '', '', 'GH', 1),
('GIB', 'Gibraltar', '', '', 'GI', 1),
('GIN', 'Guinea', '', '', 'GN', 1),
('GLP', 'Guadeloupe', '', '', 'GP', 1),
('GMB', 'Gambia', '', '', 'GM', 1),
('GNB', 'Guinea-Bissau', '', '', 'GW', 1),
('GNQ', 'Equatorial Guinea', '', '', 'GQ', 1),
('GRC', 'Greece', '', '', 'GR', 1),
('GRD', 'Grenada', '', '', 'GD', 1),
('GRL', 'Greenland', '', '', 'GL', 1),
('GTM', 'Guatemala', '', '', 'GT', 1),
('GUF', 'French Guiana', '', '', 'GF', 1),
('GUM', 'Guam', '', '', 'GU', 1),
('GUY', 'Guyana', '', '', 'GY', 1),
('HKG', 'Hong Kong', '', '', 'HK', 1),
('HMD', 'Heard Island and McDonald Islands', '', '', 'HM', 1),
('HND', 'Honduras', '', '', 'HN', 1),
('HRV', 'Croatia', '', '', 'HR', 1),
('HTI', 'Haiti', '', '', 'HT', 1),
('HUN', 'Hungary', '', '', 'HU', 1),
('IDN', 'Indonesia', '', '', 'ID', 1),
('IND', 'India', '', '', 'IN', 1),
('IOT', 'British Indian Ocean Territory', '', '', 'IO', 1),
('IRL', 'Ireland', '', '', 'IE', 1),
('IRN', 'Iran', '', '', 'IR', 1),
('IRQ', 'Iraq', '', '', 'IQ', 1),
('ISL', 'Iceland', '', '', 'IS', 1),
('ISR', 'Israel', '', '', 'IL', 1),
('ITA', 'Italy', '', '', 'IT', 1),
('JAM', 'Jamaica', '', '', 'JM', 1),
('JOR', 'Jordan', '', '', 'JO', 1),
('JPN', 'Japan', '', '', 'JP', 1),
('KAZ', 'Kazakstan', '', '', 'KZ', 1),
('KEN', 'Kenya', '', '', 'KE', 1),
('KGZ', 'Kyrgyzstan', '', '', 'KG', 1),
('KHM', 'Cambodia', '', '', 'KH', 1),
('KIR', 'Kiribati', '', '', 'KI', 1),
('KNA', 'Saint Kitts and Nevis', '', '', 'KN', 1),
('KOR', 'South Korea', '', '', 'KR', 1),
('KWT', 'Kuwait', '', '', 'KW', 1),
('LAO', 'Laos', '', '', 'LA', 1),
('LBN', 'Lebanon', '', '', 'LB', 1),
('LBR', 'Liberia', '', '', 'LR', 1),
('LBY', 'Libyan Arab Jamahiriya', '', '', 'LY', 1),
('LCA', 'Saint Lucia', '', '', 'LC', 1),
('LIE', 'Liechtenstein', '', '', 'LI', 1),
('LKA', 'Sri Lanka', '', '', 'LK', 1),
('LSO', 'Lesotho', '', '', 'LS', 1),
('LTU', 'Lithuania', '', '', 'LT', 1),
('LUX', 'Luxembourg', '', '', 'LU', 1),
('LVA', 'Latvia', '', '', 'LV', 1),
('MAC', 'Macao', '', '', 'MO', 1),
('MAR', 'Morocco', '', '', 'MA', 1),
('MCO', 'Monaco', '', '', 'MC', 1),
('MDA', 'Moldova', '', '', 'MD', 1),
('MDG', 'Madagascar', '', '', 'MG', 1),
('MDV', 'Maldives', '', '', 'MV', 1),
('MEX', 'Mexico', '19.421451916893', '-99.14611813281249', 'MX', 1),
('MHL', 'Marshall Islands', '', '', 'MH', 1),
('MKD', 'Macedonia', '', '', 'MK', 1),
('MLI', 'Mali', '', '', 'ML', 1),
('MLT', 'Malta', '', '', 'MT', 1),
('MMR', 'Myanmar', '', '', 'MM', 1),
('MNG', 'Mongolia', '', '', 'MN', 1),
('MNP', 'Northern Mariana Islands', '', '', 'MP', 1),
('MOZ', 'Mozambique', '', '', 'MZ', 1),
('MRT', 'Mauritania', '', '', 'MR', 1),
('MSR', 'Montserrat', '', '', 'MS', 1),
('MTQ', 'Martinique', '', '', 'MQ', 1),
('MUS', 'Mauritius', '', '', 'MU', 1),
('MWI', 'Malawi', '', '', 'MW', 1),
('MYS', 'Malaysia', '', '', 'MY', 1),
('MYT', 'Mayotte', '', '', 'YT', 1),
('NAM', 'Namibia', '', '', 'NA', 1),
('NCL', 'New Caledonia', '', '', 'NC', 1),
('NER', 'Niger', '', '', 'NE', 1),
('NFK', 'Norfolk Island', '', '', 'NF', 1),
('NGA', 'Nigeria', '', '', 'NG', 1),
('NIC', 'Nicaragua', '', '', 'NI', 1),
('NIU', 'Niue', '', '', 'NU', 1),
('NLD', 'Netherlands', '', '', 'NL', 1),
('NOR', 'Norway', '', '', 'NO', 1),
('NPL', 'Nepal', '', '', 'NP', 1),
('NRU', 'Nauru', '', '', 'NR', 1),
('NZL', 'New Zealand', '', '', 'NZ', 1),
('OMN', 'Oman', '', '', 'OM', 1),
('PAK', 'Pakistan', '', '', 'PK', 1),
('PAN', 'Panama', '', '', 'PA', 1),
('PCN', 'Pitcairn', '', '', 'PN', 1),
('PER', 'Peru', '-12.048531598662876', '-77.06634518359374', 'PE', 1),
('PHL', 'Philippines', '', '', 'PH', 1),
('PLW', 'Palau', '', '', 'PW', 1),
('PNG', 'Papua New Guinea', '', '', 'PG', 1),
('POL', 'Poland', '', '', 'PL', 1),
('PRI', 'Puerto Rico', '', '', 'PR', 1),
('PRK', 'North Korea', '', '', 'KP', 1),
('PRT', 'Portugal', '', '', 'PT', 1),
('PRY', 'Paraguay', '', '', 'PY', 1),
('PSE', 'Palestine', '', '', 'PS', 1),
('PYF', 'French Polynesia', '', '', 'PF', 1),
('QAT', 'Qatar', '', '', 'QA', 1),
('REU', 'Réunion', '', '', 'RE', 1),
('ROM', 'Romania', '', '', 'RO', 1),
('RUS', 'Russian Federation', '', '', 'RU', 1),
('RWA', 'Rwanda', '', '', 'RW', 1),
('SAU', 'Saudi Arabia', '', '', 'SA', 1),
('SDN', 'Sudan', '', '', 'SD', 1),
('SEN', 'Senegal', '', '', 'SN', 1),
('SGP', 'Singapore', '', '', 'SG', 1),
('SGS', 'South Georgia and the South Sandwich Islands', '', '', 'GS', 1),
('SHN', 'Saint Helena', '', '', 'SH', 1),
('SJM', 'Svalbard and Jan Mayen', '', '', 'SJ', 1),
('SLB', 'Solomon Islands', '', '', 'SB', 1),
('SLE', 'Sierra Leone', '', '', 'SL', 1),
('SLV', 'El Salvador', '', '', 'SV', 1),
('SMR', 'San Marino', '', '', 'SM', 1),
('SOM', 'Somalia', '', '', 'SO', 1),
('SPM', 'Saint Pierre and Miquelon', '', '', 'PM', 1),
('STP', 'Sao Tome and Principe', '', '', 'ST', 1),
('SUR', 'Suriname', '', '', 'SR', 1),
('SVK', 'Slovakia', '', '', 'SK', 1),
('SVN', 'Slovenia', '', '', 'SI', 1),
('SWE', 'Sweden', '', '', 'SE', 1),
('SWZ', 'Swaziland', '', '', 'SZ', 1),
('SYC', 'Seychelles', '', '', 'SC', 1),
('SYR', 'Syria', '', '', 'SY', 1),
('TCA', 'Turks and Caicos Islands', '', '', 'TC', 1),
('TCD', 'Chad', '', '', 'TD', 1),
('TGO', 'Togo', '', '', 'TG', 1),
('THA', 'Thailand', '', '', 'TH', 1),
('TJK', 'Tajikistan', '', '', 'TJ', 1),
('TKL', 'Tokelau', '', '', 'TK', 1),
('TKM', 'Turkmenistan', '', '', 'TM', 1),
('TMP', 'East Timor', '', '', 'TP', 1),
('TON', 'Tonga', '', '', 'TO', 1),
('TTO', 'Trinidad and Tobago', '', '', 'TT', 1),
('TUN', 'Tunisia', '', '', 'TN', 1),
('TUR', 'Turkey', '', '', 'TR', 1),
('TUV', 'Tuvalu', '', '', 'TV', 1),
('TWN', 'Taiwan', '', '', 'TW', 1),
('TZA', 'Tanzania', '', '', 'TZ', 1),
('UGA', 'Uganda', '', '', 'UG', 1),
('UKR', 'Ukraine', '', '', 'UA', 1),
('UMI', 'United States Minor Outlying Islands', '', '', 'UM', 1),
('URY', 'Uruguay', '', '', 'UY', 1),
('USA', 'United States', '39.78019621360077', '-99.43176266406249', 'US', 1),
('UZB', 'Uzbekistan', '', '', 'UZ', 1),
('VAT', 'Holy See (Vatican City State)', '', '', 'VA', 1),
('VCT', 'Saint Vincent and the Grenadines', '', '', 'VC', 1),
('VEN', 'Venezuela', '', '', 'VE', 1),
('VGB', 'Virgin Islands, British', '', '', 'VG', 1),
('VIR', 'Virgin Islands, U.S.', '', '', 'VI', 1),
('VNM', 'Vietnam', '', '', 'VN', 1),
('VUT', 'Vanuatu', '', '', 'VU', 1),
('WLF', 'Wallis and Futuna', '', '', 'WF', 1),
('WSM', 'Samoa', '', '', 'WS', 1),
('YEM', 'Yemen', '', '', 'YE', 1),
('YUG', 'Yugoslavia', '', '', 'YU', 1),
('ZAF', 'South Africa', '', '', 'ZA', 1),
('ZMB', 'Zambia', '', '', 'ZM', 1),
('ZWE', 'Zimbabwe', '', '', 'ZW', 1);

CREATE TABLE `country_region` (
  `idregion` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `region` varchar(35) COLLATE utf8_unicode_ci NOT NULL,
  `countrycode` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`idregion`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1413 ;

INSERT INTO `country_region` (`idregion`, `region`, `countrycode`, `status`) VALUES
(1, 'Kabol', 'AFG', 1),
(2, 'Qandahar', 'AFG', 1),
(3, 'Herat', 'AFG', 1),
(4, 'Balkh', 'AFG', 1),
(5, 'Noord-Holland', 'NLD', 1),
(6, 'Zuid-Holland', 'NLD', 1),
(7, 'Utrecht', 'NLD', 1),
(8, 'Noord-Brabant', 'NLD', 1),
(9, 'Groningen', 'NLD', 1),
(10, 'Gelderland', 'NLD', 1),
(11, 'Overijssel', 'NLD', 1),
(12, 'Flevoland', 'NLD', 1),
(13, 'Limburg', 'NLD', 1),
(14, 'Drenthe', 'NLD', 1),
(15, 'Curaçao', 'ANT', 1),
(16, 'Tirana', 'ALB', 1),
(17, 'Alger', 'DZA', 1),
(18, 'Oran', 'DZA', 1),
(19, 'Constantine', 'DZA', 1),
(20, 'Annaba', 'DZA', 1),
(21, 'Batna', 'DZA', 1),
(22, 'Sétif', 'DZA', 1),
(23, 'Sidi Bel Abbès', 'DZA', 1),
(24, 'Skikda', 'DZA', 1),
(25, 'Biskra', 'DZA', 1),
(26, 'Blida', 'DZA', 1),
(27, 'Béjaïa', 'DZA', 1),
(28, 'Mostaganem', 'DZA', 1),
(29, 'Tébessa', 'DZA', 1),
(30, 'Tlemcen', 'DZA', 1),
(31, 'Béchar', 'DZA', 1),
(32, 'Tiaret', 'DZA', 1),
(33, 'Chlef', 'DZA', 1),
(34, 'Ghardaïa', 'DZA', 1),
(35, 'Tutuila', 'ASM', 1),
(36, 'Andorra la Vella', 'AND', 1),
(37, 'Luanda', 'AGO', 1),
(38, 'Huambo', 'AGO', 1),
(39, 'Benguela', 'AGO', 1),
(40, 'Namibe', 'AGO', 1),
(41, '–', 'AIA', 1),
(42, 'St John', 'ATG', 1),
(43, 'Dubai', 'ARE', 1),
(44, 'Abu Dhabi', 'ARE', 1),
(45, 'Sharja', 'ARE', 1),
(46, 'Ajman', 'ARE', 1),
(47, 'Distrito Federal', 'ARG', 1),
(48, 'Buenos Aires', 'ARG', 1),
(49, 'Córdoba', 'ARG', 1),
(50, 'Santa Fé', 'ARG', 1),
(51, 'Tucumán', 'ARG', 1),
(52, 'Salta', 'ARG', 1),
(53, 'Corrientes', 'ARG', 1),
(54, 'Chaco', 'ARG', 1),
(55, 'Entre Rios', 'ARG', 1),
(56, 'Mendoza', 'ARG', 1),
(57, 'Misiones', 'ARG', 1),
(58, 'Santiago del Estero', 'ARG', 1),
(59, 'Jujuy', 'ARG', 1),
(60, 'Neuquén', 'ARG', 1),
(61, 'Formosa', 'ARG', 1),
(62, 'La Rioja', 'ARG', 1),
(63, 'Catamarca', 'ARG', 1),
(64, 'Chubut', 'ARG', 1),
(65, 'San Juan', 'ARG', 1),
(66, 'San Luis', 'ARG', 1),
(67, 'Yerevan', 'ARM', 1),
(68, 'Širak', 'ARM', 1),
(69, 'Lori', 'ARM', 1),
(70, '–', 'ABW', 1),
(71, 'New South Wales', 'AUS', 1),
(72, 'Victoria', 'AUS', 1),
(73, 'Queensland', 'AUS', 1),
(74, 'West Australia', 'AUS', 1),
(75, 'South Australia', 'AUS', 1),
(76, 'Capital Region', 'AUS', 1),
(77, 'Tasmania', 'AUS', 1),
(78, 'Baki', 'AZE', 1),
(79, 'Gäncä', 'AZE', 1),
(80, 'Sumqayit', 'AZE', 1),
(81, 'Mingäçevir', 'AZE', 1),
(82, 'New Providence', 'BHS', 1),
(83, 'al-Manama', 'BHR', 1),
(84, 'Dhaka', 'BGD', 1),
(85, 'Chittagong', 'BGD', 1),
(86, 'Khulna', 'BGD', 1),
(87, 'Rajshahi', 'BGD', 1),
(88, 'Barisal', 'BGD', 1),
(89, 'Sylhet', 'BGD', 1),
(90, 'St Michael', 'BRB', 1),
(91, 'Antwerpen', 'BEL', 1),
(92, 'East Flanderi', 'BEL', 1),
(93, 'Hainaut', 'BEL', 1),
(94, 'Liège', 'BEL', 1),
(95, 'Bryssel', 'BEL', 1),
(96, 'West Flanderi', 'BEL', 1),
(97, 'Namur', 'BEL', 1),
(98, 'Belize City', 'BLZ', 1),
(99, 'Cayo', 'BLZ', 1),
(100, 'Atlantique', 'BEN', 1),
(101, 'Ouémé', 'BEN', 1),
(102, 'Atacora', 'BEN', 1),
(103, 'Borgou', 'BEN', 1),
(104, 'Saint George´s', 'BMU', 1),
(105, 'Hamilton', 'BMU', 1),
(106, 'Thimphu', 'BTN', 1),
(107, 'Santa Cruz', 'BOL', 1),
(108, 'La Paz', 'BOL', 1),
(109, 'Cochabamba', 'BOL', 1),
(110, 'Oruro', 'BOL', 1),
(111, 'Chuquisaca', 'BOL', 1),
(112, 'Potosí', 'BOL', 1),
(113, 'Tarija', 'BOL', 1),
(114, 'Federaatio', 'BIH', 1),
(115, 'Republika Srpska', 'BIH', 1),
(116, 'Gaborone', 'BWA', 1),
(117, 'Francistown', 'BWA', 1),
(118, 'São Paulo', 'BRA', 1),
(119, 'Rio de Janeiro', 'BRA', 1),
(120, 'Bahia', 'BRA', 1),
(121, 'Minas Gerais', 'BRA', 1),
(122, 'Ceará', 'BRA', 1),
(123, 'Distrito Federal', 'BRA', 1),
(124, 'Paraná', 'BRA', 1),
(125, 'Pernambuco', 'BRA', 1),
(126, 'Rio Grande do Sul', 'BRA', 1),
(127, 'Amazonas', 'BRA', 1),
(128, 'Pará', 'BRA', 1),
(129, 'Goiás', 'BRA', 1),
(130, 'Maranhão', 'BRA', 1),
(131, 'Alagoas', 'BRA', 1),
(132, 'Piauí', 'BRA', 1),
(133, 'Rio Grande do Norte', 'BRA', 1),
(134, 'Mato Grosso do Sul', 'BRA', 1),
(135, 'Paraíba', 'BRA', 1),
(136, 'Mato Grosso', 'BRA', 1),
(137, 'Sergipe', 'BRA', 1),
(138, 'Santa Catarina', 'BRA', 1),
(139, 'Espírito Santo', 'BRA', 1),
(140, 'Rondônia', 'BRA', 1),
(141, 'Acre', 'BRA', 1),
(142, 'Amapá', 'BRA', 1),
(143, 'Roraima', 'BRA', 1),
(144, 'Tocantins', 'BRA', 1),
(145, 'England', 'GBR', 1),
(146, 'Scotland', 'GBR', 1),
(147, 'Wales', 'GBR', 1),
(148, 'North Ireland', 'GBR', 1),
(149, 'Jersey', 'GBR', 1),
(150, '–', 'GBR', 1),
(151, 'Tortola', 'VGB', 1),
(152, 'Brunei and Muara', 'BRN', 1),
(153, 'Grad Sofija', 'BGR', 1),
(154, 'Plovdiv', 'BGR', 1),
(155, 'Varna', 'BGR', 1),
(156, 'Burgas', 'BGR', 1),
(157, 'Ruse', 'BGR', 1),
(158, 'Haskovo', 'BGR', 1),
(159, 'Lovec', 'BGR', 1),
(160, 'Kadiogo', 'BFA', 1),
(161, 'Houet', 'BFA', 1),
(162, 'Boulkiemdé', 'BFA', 1),
(163, 'Bujumbura', 'BDI', 1),
(164, 'Grand Cayman', 'CYM', 1),
(165, 'Santiago', 'CHL', 1),
(166, 'Valparaíso', 'CHL', 1),
(167, 'Bíobío', 'CHL', 1),
(168, 'Antofagasta', 'CHL', 1),
(169, 'La Araucanía', 'CHL', 1),
(170, 'O´Higgins', 'CHL', 1),
(171, 'Tarapacá', 'CHL', 1),
(172, 'Maule', 'CHL', 1),
(173, 'Los Lagos', 'CHL', 1),
(174, 'Coquimbo', 'CHL', 1),
(175, 'Magallanes', 'CHL', 1),
(176, 'Atacama', 'CHL', 1),
(177, 'Rarotonga', 'COK', 1),
(178, 'San José', 'CRI', 1),
(179, 'Djibouti', 'DJI', 1),
(180, 'St George', 'DMA', 1),
(181, 'Distrito Nacional', 'DOM', 1),
(182, 'Santiago', 'DOM', 1),
(183, 'La Romana', 'DOM', 1),
(184, 'San Pedro de Macorís', 'DOM', 1),
(185, 'Duarte', 'DOM', 1),
(186, 'Puerto Plata', 'DOM', 1),
(187, 'Guayas', 'ECU', 1),
(188, 'Pichincha', 'ECU', 1),
(189, 'Azuay', 'ECU', 1),
(190, 'El Oro', 'ECU', 1),
(191, 'Manabí', 'ECU', 1),
(192, 'Tungurahua', 'ECU', 1),
(193, 'Imbabura', 'ECU', 1),
(194, 'Los Ríos', 'ECU', 1),
(195, 'Loja', 'ECU', 1),
(196, 'Chimborazo', 'ECU', 1),
(197, 'Esmeraldas', 'ECU', 1),
(198, 'Kairo', 'EGY', 1),
(199, 'Aleksandria', 'EGY', 1),
(200, 'Giza', 'EGY', 1),
(201, 'al-Qalyubiya', 'EGY', 1),
(202, 'Port Said', 'EGY', 1),
(203, 'Suez', 'EGY', 1),
(204, 'al-Gharbiya', 'EGY', 1),
(205, 'al-Daqahliya', 'EGY', 1),
(206, 'Luxor', 'EGY', 1),
(207, 'Asyut', 'EGY', 1),
(208, 'al-Sharqiya', 'EGY', 1),
(209, 'al-Faiyum', 'EGY', 1),
(210, 'Ismailia', 'EGY', 1),
(211, 'al-Buhayra', 'EGY', 1),
(212, 'Assuan', 'EGY', 1),
(213, 'al-Minya', 'EGY', 1),
(214, 'Bani Suwayf', 'EGY', 1),
(215, 'Qina', 'EGY', 1),
(216, 'Sawhaj', 'EGY', 1),
(217, 'al-Minufiya', 'EGY', 1),
(218, 'Kafr al-Shaykh', 'EGY', 1),
(219, 'Shamal Sina', 'EGY', 1),
(220, 'San Salvador', 'SLV', 1),
(221, 'Santa Ana', 'SLV', 1),
(222, 'San Miguel', 'SLV', 1),
(223, 'La Libertad', 'SLV', 1),
(224, 'Maekel', 'ERI', 1),
(225, 'Madrid', 'ESP', 1),
(226, 'Katalonia', 'ESP', 1),
(227, 'Valencia', 'ESP', 1),
(228, 'Andalusia', 'ESP', 1),
(229, 'Aragonia', 'ESP', 1),
(230, 'Baskimaa', 'ESP', 1),
(231, 'Canary Islands', 'ESP', 1),
(232, 'Murcia', 'ESP', 1),
(233, 'Balears', 'ESP', 1),
(234, 'Castilla and León', 'ESP', 1),
(235, 'Galicia', 'ESP', 1),
(236, 'Asturia', 'ESP', 1),
(237, 'Cantabria', 'ESP', 1),
(238, 'Navarra', 'ESP', 1),
(239, 'Kastilia-La Mancha', 'ESP', 1),
(240, 'Extremadura', 'ESP', 1),
(241, 'La Rioja', 'ESP', 1),
(242, 'Western Cape', 'ZAF', 1),
(243, 'Gauteng', 'ZAF', 1),
(244, 'Eastern Cape', 'ZAF', 1),
(245, 'KwaZulu-Natal', 'ZAF', 1),
(246, 'Free State', 'ZAF', 1),
(247, 'North West', 'ZAF', 1),
(248, 'Northern Cape', 'ZAF', 1),
(249, 'Mpumalanga', 'ZAF', 1),
(250, 'Addis Abeba', 'ETH', 1),
(251, 'Dire Dawa', 'ETH', 1),
(252, 'Oromia', 'ETH', 1),
(253, 'Amhara', 'ETH', 1),
(254, 'Tigray', 'ETH', 1),
(255, 'East Falkland', 'FLK', 1),
(256, 'Central', 'FJI', 1),
(257, 'National Capital Reg', 'PHL', 1),
(258, 'Southern Mindanao', 'PHL', 1),
(259, 'Central Visayas', 'PHL', 1),
(260, 'Western Mindanao', 'PHL', 1),
(261, 'Southern Tagalog', 'PHL', 1),
(262, 'Northern Mindanao', 'PHL', 1),
(263, 'Western Visayas', 'PHL', 1),
(264, 'Central Luzon', 'PHL', 1),
(265, 'Central Mindanao', 'PHL', 1),
(266, 'Caraga', 'PHL', 1),
(267, 'CAR', 'PHL', 1),
(268, 'Eastern Visayas', 'PHL', 1),
(269, 'Bicol', 'PHL', 1),
(270, 'Ilocos', 'PHL', 1),
(271, 'Cagayan Valley', 'PHL', 1),
(272, 'ARMM', 'PHL', 1),
(273, 'Streymoyar', 'FRO', 1),
(274, 'Estuaire', 'GAB', 1),
(275, 'Kombo St Mary', 'GMB', 1),
(276, 'Banjul', 'GMB', 1),
(277, 'Tbilisi', 'GEO', 1),
(278, 'Imereti', 'GEO', 1),
(279, 'Kvemo Kartli', 'GEO', 1),
(280, 'Adzaria [Atšara]', 'GEO', 1),
(281, 'Abhasia [Aphazeti]', 'GEO', 1),
(282, 'Greater Accra', 'GHA', 1),
(283, 'Ashanti', 'GHA', 1),
(284, 'Northern', 'GHA', 1),
(285, 'Western', 'GHA', 1),
(286, '–', 'GIB', 1),
(287, 'St George', 'GRD', 1),
(288, 'Kitaa', 'GRL', 1),
(289, 'Grande-Terre', 'GLP', 1),
(290, 'Basse-Terre', 'GLP', 1),
(291, '–', 'GUM', 1),
(292, 'Guatemala', 'GTM', 1),
(293, 'Quetzaltenango', 'GTM', 1),
(294, 'Conakry', 'GIN', 1),
(295, 'Bissau', 'GNB', 1),
(296, 'Georgetown', 'GUY', 1),
(297, 'Ouest', 'HTI', 1),
(298, 'Nord', 'HTI', 1),
(299, 'Distrito Central', 'HND', 1),
(300, 'Cortés', 'HND', 1),
(301, 'Atlántida', 'HND', 1),
(302, 'Kowloon and New Kowl', 'HKG', 1),
(303, 'Hongkong', 'HKG', 1),
(304, 'Länsimaa', 'SJM', 1),
(305, 'Jakarta Raya', 'IDN', 1),
(306, 'East Java', 'IDN', 1),
(307, 'West Java', 'IDN', 1),
(308, 'Sumatera Utara', 'IDN', 1),
(309, 'Sumatera Selatan', 'IDN', 1),
(310, 'Central Java', 'IDN', 1),
(311, 'Sulawesi Selatan', 'IDN', 1),
(312, 'Lampung', 'IDN', 1),
(313, 'Sumatera Barat', 'IDN', 1),
(314, 'Kalimantan Selatan', 'IDN', 1),
(315, 'Riau', 'IDN', 1),
(316, 'Bali', 'IDN', 1),
(317, 'Yogyakarta', 'IDN', 1),
(318, 'Kalimantan Barat', 'IDN', 1),
(319, 'Kalimantan Timur', 'IDN', 1),
(320, 'Jambi', 'IDN', 1),
(321, 'Sulawesi Utara', 'IDN', 1),
(322, 'Nusa Tenggara Barat', 'IDN', 1),
(323, 'Molukit', 'IDN', 1),
(324, 'Bengkulu', 'IDN', 1),
(325, 'Aceh', 'IDN', 1),
(326, 'Sulawesi Tengah', 'IDN', 1),
(327, 'Nusa Tenggara Timur', 'IDN', 1),
(328, 'Kalimantan Tengah', 'IDN', 1),
(329, 'Sulawesi Tenggara', 'IDN', 1),
(330, 'West Irian', 'IDN', 1),
(331, 'Maharashtra', 'IND', 1),
(332, 'Delhi', 'IND', 1),
(333, 'West Bengali', 'IND', 1),
(334, 'Tamil Nadu', 'IND', 1),
(335, 'Andhra Pradesh', 'IND', 1),
(336, 'Gujarat', 'IND', 1),
(337, 'Karnataka', 'IND', 1),
(338, 'Uttar Pradesh', 'IND', 1),
(339, 'Rajasthan', 'IND', 1),
(340, 'Madhya Pradesh', 'IND', 1),
(341, 'Punjab', 'IND', 1),
(342, 'Bihar', 'IND', 1),
(343, 'Jammu and Kashmir', 'IND', 1),
(344, 'Haryana', 'IND', 1),
(345, 'Jharkhand', 'IND', 1),
(346, 'Assam', 'IND', 1),
(347, 'Kerala', 'IND', 1),
(348, 'Chandigarh', 'IND', 1),
(349, 'Chhatisgarh', 'IND', 1),
(350, 'Orissa', 'IND', 1),
(351, 'Uttaranchal', 'IND', 1),
(352, 'Pondicherry', 'IND', 1),
(353, 'Manipur', 'IND', 1),
(354, 'Tripura', 'IND', 1),
(355, 'Mizoram', 'IND', 1),
(356, 'Meghalaya', 'IND', 1),
(357, 'Baghdad', 'IRQ', 1),
(358, 'Ninawa', 'IRQ', 1),
(359, 'Irbil', 'IRQ', 1),
(360, 'al-Tamim', 'IRQ', 1),
(361, 'Basra', 'IRQ', 1),
(362, 'al-Sulaymaniya', 'IRQ', 1),
(363, 'al-Najaf', 'IRQ', 1),
(364, 'Karbala', 'IRQ', 1),
(365, 'Babil', 'IRQ', 1),
(366, 'DhiQar', 'IRQ', 1),
(367, 'Maysan', 'IRQ', 1),
(368, 'al-Qadisiya', 'IRQ', 1),
(369, 'al-Anbar', 'IRQ', 1),
(370, 'Wasit', 'IRQ', 1),
(371, 'Diyala', 'IRQ', 1),
(372, 'Teheran', 'IRN', 1),
(373, 'Khorasan', 'IRN', 1),
(374, 'Esfahan', 'IRN', 1),
(375, 'East Azerbaidzan', 'IRN', 1),
(376, 'Fars', 'IRN', 1),
(377, 'Khuzestan', 'IRN', 1),
(378, 'Qom', 'IRN', 1),
(379, 'Kermanshah', 'IRN', 1),
(380, 'West Azerbaidzan', 'IRN', 1),
(381, 'Sistan va Baluchesta', 'IRN', 1),
(382, 'Gilan', 'IRN', 1),
(383, 'Hamadan', 'IRN', 1),
(384, 'Kerman', 'IRN', 1),
(385, 'Markazi', 'IRN', 1),
(386, 'Ardebil', 'IRN', 1),
(387, 'Yazd', 'IRN', 1),
(388, 'Qazvin', 'IRN', 1),
(389, 'Zanjan', 'IRN', 1),
(390, 'Kordestan', 'IRN', 1),
(391, 'Hormozgan', 'IRN', 1),
(392, 'Lorestan', 'IRN', 1),
(393, 'Mazandaran', 'IRN', 1),
(394, 'Golestan', 'IRN', 1),
(395, 'Bushehr', 'IRN', 1),
(396, 'Ilam', 'IRN', 1),
(397, 'Semnan', 'IRN', 1),
(398, 'Chaharmahal va Bakht', 'IRN', 1),
(399, 'Leinster', 'IRL', 1),
(400, 'Munster', 'IRL', 1),
(401, 'Höfuðborgarsvæði', 'ISL', 1),
(402, 'Jerusalem', 'ISR', 1),
(403, 'Tel Aviv', 'ISR', 1),
(404, 'Haifa', 'ISR', 1),
(405, 'Ha Merkaz', 'ISR', 1),
(406, 'Ha Darom', 'ISR', 1),
(407, 'Latium', 'ITA', 1),
(408, 'Lombardia', 'ITA', 1),
(409, 'Campania', 'ITA', 1),
(410, 'Piemonte', 'ITA', 1),
(411, 'Sisilia', 'ITA', 1),
(412, 'Liguria', 'ITA', 1),
(413, 'Emilia-Romagna', 'ITA', 1),
(414, 'Toscana', 'ITA', 1),
(415, 'Apulia', 'ITA', 1),
(416, 'Veneto', 'ITA', 1),
(417, 'Friuli-Venezia Giuli', 'ITA', 1),
(418, 'Calabria', 'ITA', 1),
(419, 'Sardinia', 'ITA', 1),
(420, 'Umbria', 'ITA', 1),
(421, 'Abruzzit', 'ITA', 1),
(422, 'Trentino-Alto Adige', 'ITA', 1),
(423, 'Marche', 'ITA', 1),
(424, 'Dili', 'TMP', 1),
(425, 'Wien', 'AUT', 1),
(426, 'Steiermark', 'AUT', 1),
(427, 'North Austria', 'AUT', 1),
(428, 'Salzburg', 'AUT', 1),
(429, 'Tiroli', 'AUT', 1),
(430, 'Kärnten', 'AUT', 1),
(431, 'St. Catherine', 'JAM', 1),
(432, 'St. Andrew', 'JAM', 1),
(433, 'Tokyo-to', 'JPN', 1),
(434, 'Kanagawa', 'JPN', 1),
(435, 'Osaka', 'JPN', 1),
(436, 'Aichi', 'JPN', 1),
(437, 'Hokkaido', 'JPN', 1),
(438, 'Kyoto', 'JPN', 1),
(439, 'Hyogo', 'JPN', 1),
(440, 'Fukuoka', 'JPN', 1),
(441, 'Hiroshima', 'JPN', 1),
(442, 'Miyagi', 'JPN', 1),
(443, 'Chiba', 'JPN', 1),
(444, 'Kumamoto', 'JPN', 1),
(445, 'Okayama', 'JPN', 1),
(446, 'Shizuoka', 'JPN', 1),
(447, 'Kagoshima', 'JPN', 1),
(448, 'Niigata', 'JPN', 1),
(449, 'Saitama', 'JPN', 1),
(450, 'Ehime', 'JPN', 1),
(451, 'Ishikawa', 'JPN', 1),
(452, 'Tochigi', 'JPN', 1),
(453, 'Oita', 'JPN', 1),
(454, 'Nagasaki', 'JPN', 1),
(455, 'Gifu', 'JPN', 1),
(456, 'Wakayama', 'JPN', 1),
(457, 'Nara', 'JPN', 1),
(458, 'Fukushima', 'JPN', 1),
(459, 'Nagano', 'JPN', 1),
(460, 'Kagawa', 'JPN', 1),
(461, 'Toyama', 'JPN', 1),
(462, 'Kochi', 'JPN', 1),
(463, 'Akita', 'JPN', 1),
(464, 'Miyazaki', 'JPN', 1),
(465, 'Okinawa', 'JPN', 1),
(466, 'Aomori', 'JPN', 1),
(467, 'Mie', 'JPN', 1),
(468, 'Iwate', 'JPN', 1),
(469, 'Gumma', 'JPN', 1),
(470, 'Shiga', 'JPN', 1),
(471, 'Tokushima', 'JPN', 1),
(472, 'Yamaguchi', 'JPN', 1),
(473, 'Yamagata', 'JPN', 1),
(474, 'Fukui', 'JPN', 1),
(475, 'Ibaragi', 'JPN', 1),
(476, 'Yamanashi', 'JPN', 1),
(477, 'Saga', 'JPN', 1),
(478, 'Shimane', 'JPN', 1),
(479, 'Tottori', 'JPN', 1),
(480, 'Sanaa', 'YEM', 1),
(481, 'Aden', 'YEM', 1),
(482, 'Taizz', 'YEM', 1),
(483, 'Hodeida', 'YEM', 1),
(484, 'Hadramawt', 'YEM', 1),
(485, 'Ibb', 'YEM', 1),
(486, 'Amman', 'JOR', 1),
(487, 'al-Zarqa', 'JOR', 1),
(488, 'Irbid', 'JOR', 1),
(489, '–', 'CXR', 1),
(490, 'Central Serbia', 'YUG', 1),
(491, 'Vojvodina', 'YUG', 1),
(492, 'Kosovo and Metohija', 'YUG', 1),
(493, 'Montenegro', 'YUG', 1),
(494, 'Phnom Penh', 'KHM', 1),
(495, 'Battambang', 'KHM', 1),
(496, 'Siem Reap', 'KHM', 1),
(497, 'Littoral', 'CMR', 1),
(498, 'Centre', 'CMR', 1),
(499, 'Nord', 'CMR', 1),
(500, 'Extrême-Nord', 'CMR', 1),
(501, 'Nord-Ouest', 'CMR', 1),
(502, 'Ouest', 'CMR', 1),
(503, 'Québec', 'CAN', 1),
(504, 'Alberta', 'CAN', 1),
(505, 'Ontario', 'CAN', 1),
(506, 'Manitoba', 'CAN', 1),
(507, 'British Colombia', 'CAN', 1),
(508, 'Saskatchewan', 'CAN', 1),
(509, 'Nova Scotia', 'CAN', 1),
(510, 'Newfoundland', 'CAN', 1),
(511, 'São Tiago', 'CPV', 1),
(512, 'Almaty Qalasy', 'KAZ', 1),
(513, 'Qaraghandy', 'KAZ', 1),
(514, 'South Kazakstan', 'KAZ', 1),
(515, 'Taraz', 'KAZ', 1),
(516, 'Astana', 'KAZ', 1),
(517, 'East Kazakstan', 'KAZ', 1),
(518, 'Pavlodar', 'KAZ', 1),
(519, 'Aqtöbe', 'KAZ', 1),
(520, 'Qostanay', 'KAZ', 1),
(521, 'North Kazakstan', 'KAZ', 1),
(522, 'West Kazakstan', 'KAZ', 1),
(523, 'Qyzylorda', 'KAZ', 1),
(524, 'Mangghystau', 'KAZ', 1),
(525, 'Atyrau', 'KAZ', 1),
(526, 'Almaty', 'KAZ', 1),
(527, 'Nairobi', 'KEN', 1),
(528, 'Coast', 'KEN', 1),
(529, 'Nyanza', 'KEN', 1),
(530, 'Rift Valley', 'KEN', 1),
(531, 'Eastern', 'KEN', 1),
(532, 'Central', 'KEN', 1),
(533, 'Bangui', 'CAF', 1),
(534, 'Shanghai', 'CHN', 1),
(535, 'Peking', 'CHN', 1),
(536, 'Chongqing', 'CHN', 1),
(537, 'Tianjin', 'CHN', 1),
(538, 'Hubei', 'CHN', 1),
(539, 'Heilongjiang', 'CHN', 1),
(540, 'Liaoning', 'CHN', 1),
(541, 'Guangdong', 'CHN', 1),
(542, 'Sichuan', 'CHN', 1),
(543, 'Jiangsu', 'CHN', 1),
(544, 'Jilin', 'CHN', 1),
(545, 'Shaanxi', 'CHN', 1),
(546, 'Shandong', 'CHN', 1),
(547, 'Zhejiang', 'CHN', 1),
(548, 'Henan', 'CHN', 1),
(549, 'Hebei', 'CHN', 1),
(550, 'Shanxi', 'CHN', 1),
(551, 'Yunnan', 'CHN', 1),
(552, 'Hunan', 'CHN', 1),
(553, 'Jiangxi', 'CHN', 1),
(554, 'Fujian', 'CHN', 1),
(555, 'Gansu', 'CHN', 1),
(556, 'Guizhou', 'CHN', 1),
(557, 'Anhui', 'CHN', 1),
(558, 'Xinxiang', 'CHN', 1),
(559, 'Guangxi', 'CHN', 1),
(560, 'Inner Mongolia', 'CHN', 1),
(561, 'Qinghai', 'CHN', 1),
(562, 'Ningxia', 'CHN', 1),
(563, 'Hainan', 'CHN', 1),
(564, 'Tibet', 'CHN', 1),
(565, 'Bishkek shaary', 'KGZ', 1),
(566, 'Osh', 'KGZ', 1),
(567, 'South Tarawa', 'KIR', 1),
(568, 'Santafé de Bogotá', 'COL', 1),
(569, 'Valle', 'COL', 1),
(570, 'Antioquia', 'COL', 1),
(571, 'Atlántico', 'COL', 1),
(572, 'Bolívar', 'COL', 1),
(573, 'Norte de Santander', 'COL', 1),
(574, 'Santander', 'COL', 1),
(575, 'Tolima', 'COL', 1),
(576, 'Risaralda', 'COL', 1),
(577, 'Magdalena', 'COL', 1),
(578, 'Caldas', 'COL', 1),
(579, 'Nariño', 'COL', 1),
(580, 'Huila', 'COL', 1),
(581, 'Quindío', 'COL', 1),
(582, 'Meta', 'COL', 1),
(583, 'Cundinamarca', 'COL', 1),
(584, 'Cesar', 'COL', 1),
(585, 'Córdoba', 'COL', 1),
(586, 'Sucre', 'COL', 1),
(587, 'Cauca', 'COL', 1),
(588, 'Boyacá', 'COL', 1),
(589, 'Caquetá', 'COL', 1),
(590, 'La Guajira', 'COL', 1),
(591, 'Njazidja', 'COM', 1),
(592, 'Brazzaville', 'COG', 1),
(593, 'Kouilou', 'COG', 1),
(594, 'Kinshasa', 'COD', 1),
(595, 'Shaba', 'COD', 1),
(596, 'East Kasai', 'COD', 1),
(597, 'Haute-Zaïre', 'COD', 1),
(598, 'West Kasai', 'COD', 1),
(599, 'South Kivu', 'COD', 1),
(600, 'Bandundu', 'COD', 1),
(601, 'Bas-Zaïre', 'COD', 1),
(602, 'Equateur', 'COD', 1),
(603, 'North Kivu', 'COD', 1),
(604, 'Home Island', 'CCK', 1),
(605, 'West Island', 'CCK', 1),
(606, 'Pyongyang-si', 'PRK', 1),
(607, 'Hamgyong N', 'PRK', 1),
(608, 'Hamgyong P', 'PRK', 1),
(609, 'Nampo-si', 'PRK', 1),
(610, 'Pyongan P', 'PRK', 1),
(611, 'Kangwon', 'PRK', 1),
(612, 'Pyongan N', 'PRK', 1),
(613, 'Hwanghae P', 'PRK', 1),
(614, 'Hwanghae N', 'PRK', 1),
(615, 'Chagang', 'PRK', 1),
(616, 'Yanggang', 'PRK', 1),
(617, 'Kaesong-si', 'PRK', 1),
(618, 'Seoul', 'KOR', 1),
(619, 'Pusan', 'KOR', 1),
(620, 'Inchon', 'KOR', 1),
(621, 'Taegu', 'KOR', 1),
(622, 'Taejon', 'KOR', 1),
(623, 'Kwangju', 'KOR', 1),
(624, 'Kyongsangnam', 'KOR', 1),
(625, 'Kyonggi', 'KOR', 1),
(626, 'Chollabuk', 'KOR', 1),
(627, 'Chungchongbuk', 'KOR', 1),
(628, 'Kyongsangbuk', 'KOR', 1),
(629, 'Chungchongnam', 'KOR', 1),
(630, 'Cheju', 'KOR', 1),
(631, 'Chollanam', 'KOR', 1),
(632, 'Kang-won', 'KOR', 1),
(633, 'Attika', 'GRC', 1),
(634, 'Central Macedonia', 'GRC', 1),
(635, 'West Greece', 'GRC', 1),
(636, 'Crete', 'GRC', 1),
(637, 'Thessalia', 'GRC', 1),
(638, 'Grad Zagreb', 'HRV', 1),
(639, 'Split-Dalmatia', 'HRV', 1),
(640, 'Primorje-Gorski Kota', 'HRV', 1),
(641, 'Osijek-Baranja', 'HRV', 1),
(642, 'La Habana', 'CUB', 1),
(643, 'Santiago de Cuba', 'CUB', 1),
(644, 'Camagüey', 'CUB', 1),
(645, 'Holguín', 'CUB', 1),
(646, 'Villa Clara', 'CUB', 1),
(647, 'Guantánamo', 'CUB', 1),
(648, 'Pinar del Río', 'CUB', 1),
(649, 'Granma', 'CUB', 1),
(650, 'Cienfuegos', 'CUB', 1),
(651, 'Las Tunas', 'CUB', 1),
(652, 'Matanzas', 'CUB', 1),
(653, 'Sancti-Spíritus', 'CUB', 1),
(654, 'Ciego de Ávila', 'CUB', 1),
(655, 'Hawalli', 'KWT', 1),
(656, 'al-Asima', 'KWT', 1),
(657, 'Nicosia', 'CYP', 1),
(658, 'Limassol', 'CYP', 1),
(659, 'Viangchan', 'LAO', 1),
(660, 'Savannakhet', 'LAO', 1),
(661, 'Riika', 'LVA', 1),
(662, 'Daugavpils', 'LVA', 1),
(663, 'Liepaja', 'LVA', 1),
(664, 'Maseru', 'LSO', 1),
(665, 'Beirut', 'LBN', 1),
(666, 'al-Shamal', 'LBN', 1),
(667, 'Montserrado', 'LBR', 1),
(668, 'Tripoli', 'LBY', 1),
(669, 'Bengasi', 'LBY', 1),
(670, 'Misrata', 'LBY', 1),
(671, 'al-Zawiya', 'LBY', 1),
(672, 'Schaan', 'LIE', 1),
(673, 'Vaduz', 'LIE', 1),
(674, 'Vilna', 'LTU', 1),
(675, 'Kaunas', 'LTU', 1),
(676, 'Klaipeda', 'LTU', 1),
(677, 'Šiauliai', 'LTU', 1),
(678, 'Panevezys', 'LTU', 1),
(679, 'Luxembourg', 'LUX', 1),
(680, 'El-Aaiún', 'ESH', 1),
(681, 'Macau', 'MAC', 1),
(682, 'Antananarivo', 'MDG', 1),
(683, 'Toamasina', 'MDG', 1),
(684, 'Mahajanga', 'MDG', 1),
(685, 'Fianarantsoa', 'MDG', 1),
(686, 'Skopje', 'MKD', 1),
(687, 'Blantyre', 'MWI', 1),
(688, 'Lilongwe', 'MWI', 1),
(689, 'Maale', 'MDV', 1),
(690, 'Wilayah Persekutuan', 'MYS', 1),
(691, 'Perak', 'MYS', 1),
(692, 'Johor', 'MYS', 1),
(693, 'Selangor', 'MYS', 1),
(694, 'Terengganu', 'MYS', 1),
(695, 'Pulau Pinang', 'MYS', 1),
(696, 'Kelantan', 'MYS', 1),
(697, 'Pahang', 'MYS', 1),
(698, 'Negeri Sembilan', 'MYS', 1),
(699, 'Sarawak', 'MYS', 1),
(700, 'Sabah', 'MYS', 1),
(701, 'Kedah', 'MYS', 1),
(702, 'Bamako', 'MLI', 1),
(703, 'Outer Harbour', 'MLT', 1),
(704, 'Inner Harbour', 'MLT', 1),
(705, 'Casablanca', 'MAR', 1),
(706, 'Rabat-Salé-Zammour-Z', 'MAR', 1),
(707, 'Marrakech-Tensift-Al', 'MAR', 1),
(708, 'Fès-Boulemane', 'MAR', 1),
(709, 'Tanger-Tétouan', 'MAR', 1),
(710, 'Meknès-Tafilalet', 'MAR', 1),
(711, 'Oriental', 'MAR', 1),
(712, 'Gharb-Chrarda-Béni H', 'MAR', 1),
(713, 'Doukkala-Abda', 'MAR', 1),
(714, 'Souss Massa-Draâ', 'MAR', 1),
(715, 'Chaouia-Ouardigha', 'MAR', 1),
(716, 'Tadla-Azilal', 'MAR', 1),
(717, 'Taza-Al Hoceima-Taou', 'MAR', 1),
(718, 'Majuro', 'MHL', 1),
(719, 'Fort-de-France', 'MTQ', 1),
(720, 'Nouakchott', 'MRT', 1),
(721, 'Dakhlet Nouâdhibou', 'MRT', 1),
(722, 'Port-Louis', 'MUS', 1),
(723, 'Plaines Wilhelms', 'MUS', 1),
(724, 'Mamoutzou', 'MYT', 1),
(725, 'Distrito Federal', 'MEX', 1),
(726, 'Jalisco', 'MEX', 1),
(727, 'México', 'MEX', 1),
(728, 'Puebla', 'MEX', 1),
(729, 'Chihuahua', 'MEX', 1),
(730, 'Baja California', 'MEX', 1),
(731, 'Guanajuato', 'MEX', 1),
(732, 'Nuevo León', 'MEX', 1),
(733, 'Sinaloa', 'MEX', 1),
(734, 'Guerrero', 'MEX', 1),
(735, 'Yucatán', 'MEX', 1),
(736, 'San Luis Potosí', 'MEX', 1),
(737, 'Aguascalientes', 'MEX', 1),
(738, 'Querétaro de Arteaga', 'MEX', 1),
(739, 'Michoacán de Ocampo', 'MEX', 1),
(740, 'Sonora', 'MEX', 1),
(741, 'Coahuila de Zaragoza', 'MEX', 1),
(742, 'Tabasco', 'MEX', 1),
(743, 'Durango', 'MEX', 1),
(744, 'Veracruz', 'MEX', 1),
(745, 'Chiapas', 'MEX', 1),
(746, 'Tamaulipas', 'MEX', 1),
(747, 'Quintana Roo', 'MEX', 1),
(748, 'Morelos', 'MEX', 1),
(749, 'Nayarit', 'MEX', 1),
(750, 'Oaxaca', 'MEX', 1),
(751, 'Hidalgo', 'MEX', 1),
(752, 'Campeche', 'MEX', 1),
(753, 'Baja California Sur', 'MEX', 1),
(754, 'Zacatecas', 'MEX', 1),
(755, 'Querétaro', 'MEX', 1),
(756, 'Veracruz-Llave', 'MEX', 1),
(757, 'Colima', 'MEX', 1),
(758, 'Chuuk', 'FSM', 1),
(759, 'Pohnpei', 'FSM', 1),
(760, 'Chisinau', 'MDA', 1),
(761, 'Dnjestria', 'MDA', 1),
(762, 'Balti', 'MDA', 1),
(763, 'Bender (Tîghina)', 'MDA', 1),
(764, '–', 'MCO', 1),
(765, 'Ulaanbaatar', 'MNG', 1),
(766, 'Plymouth', 'MSR', 1),
(767, 'Maputo', 'MOZ', 1),
(768, 'Sofala', 'MOZ', 1),
(769, 'Nampula', 'MOZ', 1),
(770, 'Manica', 'MOZ', 1),
(771, 'Zambézia', 'MOZ', 1),
(772, 'Tete', 'MOZ', 1),
(773, 'Gaza', 'MOZ', 1),
(774, 'Inhambane', 'MOZ', 1),
(775, 'Rangoon [Yangon]', 'MMR', 1),
(776, 'Mandalay', 'MMR', 1),
(777, 'Mon', 'MMR', 1),
(778, 'Pegu [Bago]', 'MMR', 1),
(779, 'Irrawaddy [Ayeyarwad', 'MMR', 1),
(780, 'Sagaing', 'MMR', 1),
(781, 'Rakhine', 'MMR', 1),
(782, 'Shan', 'MMR', 1),
(783, 'Tenasserim [Tanintha', 'MMR', 1),
(784, 'Magwe [Magway]', 'MMR', 1),
(785, 'Khomas', 'NAM', 1),
(786, '–', 'NRU', 1),
(787, 'Central', 'NPL', 1),
(788, 'Eastern', 'NPL', 1),
(789, 'Western', 'NPL', 1),
(790, 'Managua', 'NIC', 1),
(791, 'León', 'NIC', 1),
(792, 'Chinandega', 'NIC', 1),
(793, 'Masaya', 'NIC', 1),
(794, 'Niamey', 'NER', 1),
(795, 'Zinder', 'NER', 1),
(796, 'Maradi', 'NER', 1),
(797, 'Lagos', 'NGA', 1),
(798, 'Oyo & Osun', 'NGA', 1),
(799, 'Kano & Jigawa', 'NGA', 1),
(800, 'Kwara & Kogi', 'NGA', 1),
(801, 'Ogun', 'NGA', 1),
(802, 'Rivers & Bayelsa', 'NGA', 1),
(803, 'Kaduna', 'NGA', 1),
(804, 'Anambra & Enugu & Eb', 'NGA', 1),
(805, 'Ondo & Ekiti', 'NGA', 1),
(806, 'Federal Capital Dist', 'NGA', 1),
(807, 'Borno & Yobe', 'NGA', 1),
(808, 'Imo & Abia', 'NGA', 1),
(809, 'Edo & Delta', 'NGA', 1),
(810, 'Katsina', 'NGA', 1),
(811, 'Plateau & Nassarawa', 'NGA', 1),
(812, 'Sokoto & Kebbi & Zam', 'NGA', 1),
(813, 'Cross River', 'NGA', 1),
(814, 'Bauchi & Gombe', 'NGA', 1),
(815, 'Niger', 'NGA', 1),
(816, 'Benue', 'NGA', 1),
(817, '–', 'NIU', 1),
(818, '–', 'NFK', 1),
(819, 'Oslo', 'NOR', 1),
(820, 'Hordaland', 'NOR', 1),
(821, 'Sør-Trøndelag', 'NOR', 1),
(822, 'Rogaland', 'NOR', 1),
(823, 'Akershus', 'NOR', 1),
(824, 'Abidjan', 'CIV', 1),
(825, 'Bouaké', 'CIV', 1),
(826, 'Yamoussoukro', 'CIV', 1),
(827, 'Daloa', 'CIV', 1),
(828, 'Korhogo', 'CIV', 1),
(829, 'Masqat', 'OMN', 1),
(830, 'Zufar', 'OMN', 1),
(831, 'al-Batina', 'OMN', 1),
(832, 'Sindh', 'PAK', 1),
(833, 'Punjab', 'PAK', 1),
(834, 'Nothwest Border Prov', 'PAK', 1),
(835, 'Baluchistan', 'PAK', 1),
(836, 'Islamabad', 'PAK', 1),
(837, 'Sind', 'PAK', 1),
(838, 'Koror', 'PLW', 1),
(839, 'Panamá', 'PAN', 1),
(840, 'San Miguelito', 'PAN', 1),
(841, 'National Capital Dis', 'PNG', 1),
(842, 'Asunción', 'PRY', 1),
(843, 'Alto Paraná', 'PRY', 1),
(844, 'Central', 'PRY', 1),
(845, 'Lima', 'PER', 1),
(846, 'Arequipa', 'PER', 1),
(847, 'La Libertad', 'PER', 1),
(848, 'Lambayeque', 'PER', 1),
(849, 'Callao', 'PER', 1),
(850, 'Loreto', 'PER', 1),
(851, 'Ancash', 'PER', 1),
(852, 'Junín', 'PER', 1),
(853, 'Piura', 'PER', 1),
(854, 'Cusco', 'PER', 1),
(855, 'Ucayali', 'PER', 1),
(856, 'Tacna', 'PER', 1),
(857, 'Ica', 'PER', 1),
(858, 'Puno', 'PER', 1),
(859, 'Huanuco', 'PER', 1),
(860, 'Ayacucho', 'PER', 1),
(861, 'Cajamarca', 'PER', 1),
(862, '–', 'PCN', 1),
(863, 'Saipan', 'MNP', 1),
(864, 'Lisboa', 'PRT', 1),
(865, 'Porto', 'PRT', 1),
(866, 'Coímbra', 'PRT', 1),
(867, 'Braga', 'PRT', 1),
(868, 'San Juan', 'PRI', 1),
(869, 'Bayamón', 'PRI', 1),
(870, 'Ponce', 'PRI', 1),
(871, 'Carolina', 'PRI', 1),
(872, 'Caguas', 'PRI', 1),
(873, 'Arecibo', 'PRI', 1),
(874, 'Guaynabo', 'PRI', 1),
(875, 'Mayagüez', 'PRI', 1),
(876, 'Toa Baja', 'PRI', 1),
(877, 'Mazowieckie', 'POL', 1),
(878, 'Lodzkie', 'POL', 1),
(879, 'Malopolskie', 'POL', 1),
(880, 'Dolnoslaskie', 'POL', 1),
(881, 'Wielkopolskie', 'POL', 1),
(882, 'Pomorskie', 'POL', 1),
(883, 'Zachodnio-Pomorskie', 'POL', 1),
(884, 'Kujawsko-Pomorskie', 'POL', 1),
(885, 'Lubelskie', 'POL', 1),
(886, 'Slaskie', 'POL', 1),
(887, 'Podlaskie', 'POL', 1),
(888, 'Swietokrzyskie', 'POL', 1),
(889, 'Warminsko-Mazurskie', 'POL', 1),
(890, 'Podkarpackie', 'POL', 1),
(891, 'Opolskie', 'POL', 1),
(892, 'Lubuskie', 'POL', 1),
(893, 'Bioko', 'GNQ', 1),
(894, 'Doha', 'QAT', 1),
(895, 'Île-de-France', 'FRA', 1),
(896, 'Provence-Alpes-Côte', 'FRA', 1),
(897, 'Rhône-Alpes', 'FRA', 1),
(898, 'Midi-Pyrénées', 'FRA', 1),
(899, 'Pays de la Loire', 'FRA', 1),
(900, 'Alsace', 'FRA', 1),
(901, 'Languedoc-Roussillon', 'FRA', 1),
(902, 'Aquitaine', 'FRA', 1),
(903, 'Haute-Normandie', 'FRA', 1),
(904, 'Champagne-Ardenne', 'FRA', 1),
(905, 'Nord-Pas-de-Calais', 'FRA', 1),
(906, 'Bretagne', 'FRA', 1),
(907, 'Bourgogne', 'FRA', 1),
(908, 'Auvergne', 'FRA', 1),
(909, 'Picardie', 'FRA', 1),
(910, 'Limousin', 'FRA', 1),
(911, 'Centre', 'FRA', 1),
(912, 'Lorraine', 'FRA', 1),
(913, 'Franche-Comté', 'FRA', 1),
(914, 'Basse-Normandie', 'FRA', 1),
(915, 'Cayenne', 'GUF', 1),
(916, 'Tahiti', 'PYF', 1),
(917, 'Saint-Denis', 'REU', 1),
(918, 'Bukarest', 'ROM', 1),
(919, 'Iasi', 'ROM', 1),
(920, 'Constanta', 'ROM', 1),
(921, 'Cluj', 'ROM', 1),
(922, 'Galati', 'ROM', 1),
(923, 'Timis', 'ROM', 1),
(924, 'Brasov', 'ROM', 1),
(925, 'Dolj', 'ROM', 1),
(926, 'Prahova', 'ROM', 1),
(927, 'Braila', 'ROM', 1),
(928, 'Bihor', 'ROM', 1),
(929, 'Bacau', 'ROM', 1),
(930, 'Arges', 'ROM', 1),
(931, 'Arad', 'ROM', 1),
(932, 'Sibiu', 'ROM', 1),
(933, 'Mures', 'ROM', 1),
(934, 'Maramures', 'ROM', 1),
(935, 'Buzau', 'ROM', 1),
(936, 'Satu Mare', 'ROM', 1),
(937, 'Botosani', 'ROM', 1),
(938, 'Neamt', 'ROM', 1),
(939, 'Vâlcea', 'ROM', 1),
(940, 'Suceava', 'ROM', 1),
(941, 'Mehedinti', 'ROM', 1),
(942, 'Dâmbovita', 'ROM', 1),
(943, 'Vrancea', 'ROM', 1),
(944, 'Gorj', 'ROM', 1),
(945, 'Tulcea', 'ROM', 1),
(946, 'Caras-Severin', 'ROM', 1),
(947, 'Kigali', 'RWA', 1),
(948, 'Lisboa', 'SWE', 1),
(949, 'West Götanmaan län', 'SWE', 1),
(950, 'Skåne län', 'SWE', 1),
(951, 'Uppsala län', 'SWE', 1),
(952, 'East Götanmaan län', 'SWE', 1),
(953, 'Västmanlands län', 'SWE', 1),
(954, 'Örebros län', 'SWE', 1),
(955, 'Jönköpings län', 'SWE', 1),
(956, 'Västerbottens län', 'SWE', 1),
(957, 'Västernorrlands län', 'SWE', 1),
(958, 'Gävleborgs län', 'SWE', 1),
(959, 'Saint Helena', 'SHN', 1),
(960, 'St George Basseterre', 'KNA', 1),
(961, 'Castries', 'LCA', 1),
(962, 'St George', 'VCT', 1),
(963, 'Saint-Pierre', 'SPM', 1),
(964, 'Berliini', 'DEU', 1),
(965, 'Hamburg', 'DEU', 1),
(966, 'Baijeri', 'DEU', 1),
(967, 'Nordrhein-Westfalen', 'DEU', 1),
(968, 'Hessen', 'DEU', 1),
(969, 'Baden-Württemberg', 'DEU', 1),
(970, 'Bremen', 'DEU', 1),
(971, 'Niedersachsen', 'DEU', 1),
(972, 'Saksi', 'DEU', 1),
(973, 'Anhalt Sachsen', 'DEU', 1),
(974, 'Schleswig-Holstein', 'DEU', 1),
(975, 'Mecklenburg-Vorpomme', 'DEU', 1),
(976, 'Thüringen', 'DEU', 1),
(977, 'Saarland', 'DEU', 1),
(978, 'Rheinland-Pfalz', 'DEU', 1),
(979, 'Brandenburg', 'DEU', 1),
(980, 'Honiara', 'SLB', 1),
(981, 'Lusaka', 'ZMB', 1),
(982, 'Copperbelt', 'ZMB', 1),
(983, 'Central', 'ZMB', 1),
(984, 'Upolu', 'WSM', 1),
(985, 'Serravalle/Dogano', 'SMR', 1),
(986, 'San Marino', 'SMR', 1),
(987, 'Aqua Grande', 'STP', 1),
(988, 'Riyadh', 'SAU', 1),
(989, 'Mekka', 'SAU', 1),
(990, 'Medina', 'SAU', 1),
(991, 'al-Sharqiya', 'SAU', 1),
(992, 'Tabuk', 'SAU', 1),
(993, 'al-Qasim', 'SAU', 1),
(994, 'Asir', 'SAU', 1),
(995, 'Hail', 'SAU', 1),
(996, 'Riad', 'SAU', 1),
(997, 'al-Khudud al-Samaliy', 'SAU', 1),
(998, 'Qasim', 'SAU', 1),
(999, 'Najran', 'SAU', 1),
(1000, 'Cap-Vert', 'SEN', 1),
(1001, 'Thiès', 'SEN', 1),
(1002, 'Kaolack', 'SEN', 1),
(1003, 'Ziguinchor', 'SEN', 1),
(1004, 'Saint-Louis', 'SEN', 1),
(1005, 'Diourbel', 'SEN', 1),
(1006, 'Mahé', 'SYC', 1),
(1007, 'Western', 'SLE', 1),
(1008, '–', 'SGP', 1),
(1009, 'Bratislava', 'SVK', 1),
(1010, 'Východné Slovensko', 'SVK', 1),
(1011, 'Osrednjeslovenska', 'SVN', 1),
(1012, 'Podravska', 'SVN', 1),
(1013, 'Banaadir', 'SOM', 1),
(1014, 'Woqooyi Galbeed', 'SOM', 1),
(1015, 'Jubbada Hoose', 'SOM', 1),
(1016, 'Western', 'LKA', 1),
(1017, 'Northern', 'LKA', 1),
(1018, 'Central', 'LKA', 1),
(1019, 'Khartum', 'SDN', 1),
(1020, 'al-Bahr al-Ahmar', 'SDN', 1),
(1021, 'Kassala', 'SDN', 1),
(1022, 'Kurdufan al-Shamaliy', 'SDN', 1),
(1023, 'Darfur al-Janubiya', 'SDN', 1),
(1024, 'al-Jazira', 'SDN', 1),
(1025, 'al-Qadarif', 'SDN', 1),
(1026, 'al-Bahr al-Abyad', 'SDN', 1),
(1027, 'Darfur al-Shamaliya', 'SDN', 1),
(1028, 'Bahr al-Jabal', 'SDN', 1),
(1029, 'Newmaa', 'FIN', 1),
(1030, 'Pirkanmaa', 'FIN', 1),
(1031, 'Varsinais-Suomi', 'FIN', 1),
(1032, 'Pohjois-Pohjanmaa', 'FIN', 1),
(1033, 'Päijät-Häme', 'FIN', 1),
(1034, 'Paramaribo', 'SUR', 1),
(1035, 'Hhohho', 'SWZ', 1),
(1036, 'Zürich', 'CHE', 1),
(1037, 'Geneve', 'CHE', 1),
(1038, 'Basel-Stadt', 'CHE', 1),
(1039, 'Bern', 'CHE', 1),
(1040, 'Vaud', 'CHE', 1),
(1041, 'Damascus', 'SYR', 1),
(1042, 'Aleppo', 'SYR', 1),
(1043, 'Hims', 'SYR', 1),
(1044, 'Hama', 'SYR', 1),
(1045, 'Latakia', 'SYR', 1),
(1046, 'al-Hasaka', 'SYR', 1),
(1047, 'Dayr al-Zawr', 'SYR', 1),
(1048, 'Damaskos', 'SYR', 1),
(1049, 'al-Raqqa', 'SYR', 1),
(1050, 'Idlib', 'SYR', 1),
(1051, 'Karotegin', 'TJK', 1),
(1052, 'Khujand', 'TJK', 1),
(1053, 'Taipei', 'TWN', 1),
(1054, 'Kaohsiung', 'TWN', 1),
(1055, 'Taichung', 'TWN', 1),
(1056, 'Tainan', 'TWN', 1),
(1057, 'Keelung', 'TWN', 1),
(1058, 'Hsinchu', 'TWN', 1),
(1059, 'Taoyuan', 'TWN', 1),
(1060, 'Chiayi', 'TWN', 1),
(1061, 'Changhwa', 'TWN', 1),
(1062, 'Pingtung', 'TWN', 1),
(1063, '', 'TWN', 1),
(1064, 'Taitung', 'TWN', 1),
(1065, 'Hualien', 'TWN', 1),
(1066, 'Nantou', 'TWN', 1),
(1067, 'Yünlin', 'TWN', 1),
(1068, 'Ilan', 'TWN', 1),
(1069, 'Miaoli', 'TWN', 1),
(1070, 'Dar es Salaam', 'TZA', 1),
(1071, 'Dodoma', 'TZA', 1),
(1072, 'Mwanza', 'TZA', 1),
(1073, 'Zanzibar West', 'TZA', 1),
(1074, 'Tanga', 'TZA', 1),
(1075, 'Mbeya', 'TZA', 1),
(1076, 'Morogoro', 'TZA', 1),
(1077, 'Arusha', 'TZA', 1),
(1078, 'Kilimanjaro', 'TZA', 1),
(1079, 'Tabora', 'TZA', 1),
(1080, 'København', 'DNK', 1),
(1081, 'Århus', 'DNK', 1),
(1082, 'Fyn', 'DNK', 1),
(1083, 'Nordjylland', 'DNK', 1),
(1084, 'Frederiksberg', 'DNK', 1),
(1085, 'Bangkok', 'THA', 1),
(1086, 'Nonthaburi', 'THA', 1),
(1087, 'Nakhon Ratchasima', 'THA', 1),
(1088, 'Chiang Mai', 'THA', 1),
(1089, 'Udon Thani', 'THA', 1),
(1090, 'Songkhla', 'THA', 1),
(1091, 'Khon Kaen', 'THA', 1),
(1092, 'Nakhon Sawan', 'THA', 1),
(1093, 'Ubon Ratchathani', 'THA', 1),
(1094, 'Nakhon Pathom', 'THA', 1),
(1095, 'Maritime', 'TGO', 1),
(1096, 'Fakaofo', 'TKL', 1),
(1097, 'Tongatapu', 'TON', 1),
(1098, 'Caroni', 'TTO', 1),
(1099, 'Port-of-Spain', 'TTO', 1),
(1100, 'Chari-Baguirmi', 'TCD', 1),
(1101, 'Logone Occidental', 'TCD', 1),
(1102, 'Hlavní mesto Praha', 'CZE', 1),
(1103, 'Jizní Morava', 'CZE', 1),
(1104, 'Severní Morava', 'CZE', 1),
(1105, 'Zapadní Cechy', 'CZE', 1),
(1106, 'Severní Cechy', 'CZE', 1),
(1107, 'Jizní Cechy', 'CZE', 1),
(1108, 'Východní Cechy', 'CZE', 1),
(1109, 'Tunis', 'TUN', 1),
(1110, 'Sfax', 'TUN', 1),
(1111, 'Ariana', 'TUN', 1),
(1112, 'Sousse', 'TUN', 1),
(1113, 'Kairouan', 'TUN', 1),
(1114, 'Biserta', 'TUN', 1),
(1115, 'Gabès', 'TUN', 1),
(1116, 'Istanbul', 'TUR', 1),
(1117, 'Ankara', 'TUR', 1),
(1118, 'Izmir', 'TUR', 1),
(1119, 'Adana', 'TUR', 1),
(1120, 'Bursa', 'TUR', 1),
(1121, 'Gaziantep', 'TUR', 1),
(1122, 'Konya', 'TUR', 1),
(1123, 'Içel', 'TUR', 1),
(1124, 'Antalya', 'TUR', 1),
(1125, 'Diyarbakir', 'TUR', 1),
(1126, 'Kayseri', 'TUR', 1),
(1127, 'Eskisehir', 'TUR', 1),
(1128, 'Sanliurfa', 'TUR', 1),
(1129, 'Samsun', 'TUR', 1),
(1130, 'Malatya', 'TUR', 1),
(1131, 'Kocaeli', 'TUR', 1),
(1132, 'Denizli', 'TUR', 1),
(1133, 'Sivas', 'TUR', 1),
(1134, 'Erzurum', 'TUR', 1),
(1135, 'Kahramanmaras', 'TUR', 1),
(1136, 'Elâzig', 'TUR', 1),
(1137, 'Van', 'TUR', 1),
(1138, 'Manisa', 'TUR', 1),
(1139, 'Batman', 'TUR', 1),
(1140, 'Balikesir', 'TUR', 1),
(1141, 'Sakarya', 'TUR', 1),
(1142, 'Hatay', 'TUR', 1),
(1143, 'Osmaniye', 'TUR', 1),
(1144, 'Çorum', 'TUR', 1),
(1145, 'Kütahya', 'TUR', 1),
(1146, 'Kirikkale', 'TUR', 1),
(1147, 'Adiyaman', 'TUR', 1),
(1148, 'Trabzon', 'TUR', 1),
(1149, 'Ordu', 'TUR', 1),
(1150, 'Aydin', 'TUR', 1),
(1151, 'Usak', 'TUR', 1),
(1152, 'Edirne', 'TUR', 1),
(1153, 'Tekirdag', 'TUR', 1),
(1154, 'Isparta', 'TUR', 1),
(1155, 'Karabük', 'TUR', 1),
(1156, 'Kilis', 'TUR', 1),
(1157, 'Mardin', 'TUR', 1),
(1158, 'Zonguldak', 'TUR', 1),
(1159, 'Siirt', 'TUR', 1),
(1160, 'Karaman', 'TUR', 1),
(1161, 'Afyon', 'TUR', 1),
(1162, 'Aksaray', 'TUR', 1),
(1163, 'Erzincan', 'TUR', 1),
(1164, 'Tokat', 'TUR', 1),
(1165, 'Kars', 'TUR', 1),
(1166, 'Ahal', 'TKM', 1),
(1167, 'Lebap', 'TKM', 1),
(1168, 'Dashhowuz', 'TKM', 1),
(1169, 'Mary', 'TKM', 1),
(1170, 'Grand Turk', 'TCA', 1),
(1171, 'Funafuti', 'TUV', 1),
(1172, 'Central', 'UGA', 1),
(1173, 'Kiova', 'UKR', 1),
(1174, 'Harkova', 'UKR', 1),
(1175, 'Dnipropetrovsk', 'UKR', 1),
(1176, 'Donetsk', 'UKR', 1),
(1177, 'Odesa', 'UKR', 1),
(1178, 'Zaporizzja', 'UKR', 1),
(1179, 'Lviv', 'UKR', 1),
(1180, 'Mykolajiv', 'UKR', 1),
(1181, 'Lugansk', 'UKR', 1),
(1182, 'Vinnytsja', 'UKR', 1),
(1183, 'Herson', 'UKR', 1),
(1184, 'Krim', 'UKR', 1),
(1185, 'Pultava', 'UKR', 1),
(1186, 'Tšernigiv', 'UKR', 1),
(1187, 'Tšerkasy', 'UKR', 1),
(1188, 'Zytomyr', 'UKR', 1),
(1189, 'Sumy', 'UKR', 1),
(1190, 'Kirovograd', 'UKR', 1),
(1191, 'Hmelnytskyi', 'UKR', 1),
(1192, 'Tšernivtsi', 'UKR', 1),
(1193, 'Rivne', 'UKR', 1),
(1194, 'Ivano-Frankivsk', 'UKR', 1),
(1195, 'Ternopil', 'UKR', 1),
(1196, 'Volynia', 'UKR', 1),
(1197, 'Taka-Karpatia', 'UKR', 1),
(1198, 'Budapest', 'HUN', 1),
(1199, 'Hajdú-Bihar', 'HUN', 1),
(1200, 'Borsod-Abaúj-Zemplén', 'HUN', 1),
(1201, 'Csongrád', 'HUN', 1),
(1202, 'Baranya', 'HUN', 1),
(1203, 'Györ-Moson-Sopron', 'HUN', 1),
(1204, 'Szabolcs-Szatmár-Ber', 'HUN', 1),
(1205, 'Bács-Kiskun', 'HUN', 1),
(1206, 'Fejér', 'HUN', 1),
(1207, 'Montevideo', 'URY', 1),
(1208, '–', 'NCL', 1),
(1209, 'Auckland', 'NZL', 1),
(1210, 'Canterbury', 'NZL', 1),
(1211, 'Wellington', 'NZL', 1),
(1212, 'Dunedin', 'NZL', 1),
(1213, 'Hamilton', 'NZL', 1),
(1214, 'Toskent Shahri', 'UZB', 1),
(1215, 'Namangan', 'UZB', 1),
(1216, 'Samarkand', 'UZB', 1),
(1217, 'Andijon', 'UZB', 1),
(1218, 'Buhoro', 'UZB', 1),
(1219, 'Qashqadaryo', 'UZB', 1),
(1220, 'Karakalpakistan', 'UZB', 1),
(1221, 'Fargona', 'UZB', 1),
(1222, 'Toskent', 'UZB', 1),
(1223, 'Khorazm', 'UZB', 1),
(1224, 'Cizah', 'UZB', 1),
(1225, 'Navoi', 'UZB', 1),
(1226, 'Surkhondaryo', 'UZB', 1),
(1227, 'Horad Minsk', 'BLR', 1),
(1228, 'Gomel', 'BLR', 1),
(1229, 'Mogiljov', 'BLR', 1),
(1230, 'Vitebsk', 'BLR', 1),
(1231, 'Grodno', 'BLR', 1),
(1232, 'Brest', 'BLR', 1),
(1233, 'Minsk', 'BLR', 1),
(1234, 'Wallis', 'WLF', 1),
(1235, 'Shefa', 'VUT', 1),
(1236, '–', 'VAT', 1),
(1237, 'Distrito Federal', 'VEN', 1),
(1238, 'Zulia', 'VEN', 1),
(1239, 'Lara', 'VEN', 1),
(1240, 'Carabobo', 'VEN', 1),
(1241, 'Bolívar', 'VEN', 1),
(1242, 'Miranda', 'VEN', 1),
(1243, 'Aragua', 'VEN', 1),
(1244, 'Anzoátegui', 'VEN', 1),
(1245, 'Monagas', 'VEN', 1),
(1246, 'Táchira', 'VEN', 1),
(1247, 'Sucre', 'VEN', 1),
(1248, 'Mérida', 'VEN', 1),
(1249, 'Barinas', 'VEN', 1),
(1250, 'Falcón', 'VEN', 1),
(1251, 'Portuguesa', 'VEN', 1),
(1252, '', 'VEN', 1),
(1253, 'Trujillo', 'VEN', 1),
(1254, 'Guárico', 'VEN', 1),
(1255, 'Apure', 'VEN', 1),
(1256, 'Yaracuy', 'VEN', 1),
(1257, 'Moscow (City)', 'RUS', 1),
(1258, 'Pietari', 'RUS', 1),
(1259, 'Novosibirsk', 'RUS', 1),
(1260, 'Nizni Novgorod', 'RUS', 1),
(1261, 'Sverdlovsk', 'RUS', 1),
(1262, 'Samara', 'RUS', 1),
(1263, 'Omsk', 'RUS', 1),
(1264, 'Tatarstan', 'RUS', 1),
(1265, 'Baškortostan', 'RUS', 1),
(1266, 'Tšeljabinsk', 'RUS', 1),
(1267, 'Rostov-na-Donu', 'RUS', 1),
(1268, 'Perm', 'RUS', 1),
(1269, 'Volgograd', 'RUS', 1),
(1270, 'Voronez', 'RUS', 1),
(1271, 'Krasnojarsk', 'RUS', 1),
(1272, 'Saratov', 'RUS', 1),
(1273, 'Uljanovsk', 'RUS', 1),
(1274, 'Udmurtia', 'RUS', 1),
(1275, 'Krasnodar', 'RUS', 1),
(1276, 'Jaroslavl', 'RUS', 1),
(1277, 'Habarovsk', 'RUS', 1),
(1278, 'Primorje', 'RUS', 1),
(1279, 'Irkutsk', 'RUS', 1),
(1280, 'Altai', 'RUS', 1),
(1281, 'Kemerovo', 'RUS', 1),
(1282, 'Penza', 'RUS', 1),
(1283, 'Rjazan', 'RUS', 1),
(1284, 'Orenburg', 'RUS', 1),
(1285, 'Lipetsk', 'RUS', 1),
(1286, 'Tula', 'RUS', 1),
(1287, 'Tjumen', 'RUS', 1),
(1288, 'Astrahan', 'RUS', 1),
(1289, 'Tomsk', 'RUS', 1),
(1290, 'Kirov', 'RUS', 1),
(1291, 'Ivanovo', 'RUS', 1),
(1292, 'Tšuvassia', 'RUS', 1),
(1293, 'Brjansk', 'RUS', 1),
(1294, 'Tver', 'RUS', 1),
(1295, 'Kursk', 'RUS', 1),
(1296, 'Kaliningrad', 'RUS', 1),
(1297, 'Murmansk', 'RUS', 1),
(1298, 'Burjatia', 'RUS', 1),
(1299, 'Kurgan', 'RUS', 1),
(1300, 'Arkangeli', 'RUS', 1),
(1301, 'Smolensk', 'RUS', 1),
(1302, 'Orjol', 'RUS', 1),
(1303, 'Stavropol', 'RUS', 1),
(1304, 'Belgorod', 'RUS', 1),
(1305, 'Kaluga', 'RUS', 1),
(1306, 'Vladimir', 'RUS', 1),
(1307, 'Dagestan', 'RUS', 1),
(1308, 'Vologda', 'RUS', 1),
(1309, 'Mordva', 'RUS', 1),
(1310, 'Tambov', 'RUS', 1),
(1311, 'North Ossetia-Alania', 'RUS', 1),
(1312, 'Tšita', 'RUS', 1),
(1313, 'Novgorod', 'RUS', 1),
(1314, 'Kostroma', 'RUS', 1),
(1315, 'Karjala', 'RUS', 1),
(1316, 'Hanti-Mansia', 'RUS', 1),
(1317, 'Marinmaa', 'RUS', 1),
(1318, 'Kabardi-Balkaria', 'RUS', 1),
(1319, 'Komi', 'RUS', 1),
(1320, 'Amur', 'RUS', 1),
(1321, 'Pihkova', 'RUS', 1),
(1322, 'Saha (Jakutia)', 'RUS', 1),
(1323, 'Moskova', 'RUS', 1),
(1324, 'Kamtšatka', 'RUS', 1),
(1325, 'Tšetšenia', 'RUS', 1),
(1326, 'Sahalin', 'RUS', 1),
(1327, 'Hakassia', 'RUS', 1),
(1328, 'Adygea', 'RUS', 1),
(1329, 'Karatšai-Tšerkessia', 'RUS', 1),
(1330, 'Magadan', 'RUS', 1),
(1331, 'Kalmykia', 'RUS', 1),
(1332, 'Tyva', 'RUS', 1),
(1333, 'Yamalin Nenetsia', 'RUS', 1),
(1334, 'Ho Chi Minh City', 'VNM', 1),
(1335, 'Hanoi', 'VNM', 1),
(1336, 'Haiphong', 'VNM', 1),
(1337, 'Quang Nam-Da Nang', 'VNM', 1),
(1338, 'Dong Nai', 'VNM', 1),
(1339, 'Khanh Hoa', 'VNM', 1),
(1340, 'Thua Thien-Hue', 'VNM', 1),
(1341, 'Can Tho', 'VNM', 1),
(1342, 'Quang Binh', 'VNM', 1),
(1343, 'Nam Ha', 'VNM', 1),
(1344, 'Binh Dinh', 'VNM', 1),
(1345, 'Ba Ria-Vung Tau', 'VNM', 1),
(1346, 'Kien Giang', 'VNM', 1),
(1347, 'An Giang', 'VNM', 1),
(1348, 'Bac Thai', 'VNM', 1),
(1349, 'Quang Ninh', 'VNM', 1),
(1350, 'Binh Thuan', 'VNM', 1),
(1351, 'Nghe An', 'VNM', 1),
(1352, 'Tien Giang', 'VNM', 1),
(1353, 'Lam Dong', 'VNM', 1),
(1354, 'Dac Lac', 'VNM', 1),
(1355, 'Harjumaa', 'EST', 1),
(1356, 'Tartumaa', 'EST', 1),
(1357, 'New York', 'USA', 1),
(1358, 'California', 'USA', 1),
(1359, 'Illinois', 'USA', 1),
(1360, 'Texas', 'USA', 1),
(1361, 'Pennsylvania', 'USA', 1),
(1362, 'Arizona', 'USA', 1),
(1363, 'Michigan', 'USA', 1),
(1364, 'Indiana', 'USA', 1),
(1365, 'Florida', 'USA', 1),
(1366, 'Ohio', 'USA', 1),
(1367, 'Maryland', 'USA', 1),
(1368, 'Tennessee', 'USA', 1),
(1369, 'Wisconsin', 'USA', 1),
(1370, 'Massachusetts', 'USA', 1),
(1371, 'District of Columbia', 'USA', 1),
(1372, 'Washington', 'USA', 1),
(1373, 'Colorado', 'USA', 1),
(1374, 'North Carolina', 'USA', 1),
(1375, 'Oregon', 'USA', 1),
(1376, 'Oklahoma', 'USA', 1),
(1377, 'Louisiana', 'USA', 1),
(1378, 'Nevada', 'USA', 1),
(1379, 'New Mexico', 'USA', 1),
(1380, 'Missouri', 'USA', 1),
(1381, 'Virginia', 'USA', 1),
(1382, 'Georgia', 'USA', 1),
(1383, 'Nebraska', 'USA', 1),
(1384, 'Minnesota', 'USA', 1),
(1385, 'Hawaii', 'USA', 1),
(1386, 'Kansas', 'USA', 1),
(1387, 'New Jersey', 'USA', 1),
(1388, 'Kentucky', 'USA', 1),
(1389, 'Alaska', 'USA', 1),
(1390, 'Alabama', 'USA', 1),
(1391, 'Iowa', 'USA', 1),
(1392, 'Idaho', 'USA', 1),
(1393, 'Mississippi', 'USA', 1),
(1394, 'Arkansas', 'USA', 1),
(1395, 'Utah', 'USA', 1),
(1396, 'Rhode Island', 'USA', 1),
(1397, 'Connecticut', 'USA', 1),
(1398, 'South Dakota', 'USA', 1),
(1399, 'South Carolina', 'USA', 1),
(1400, 'New Hampshire', 'USA', 1),
(1401, 'Montana', 'USA', 1),
(1402, 'St Thomas', 'VIR', 1),
(1403, 'Harare', 'ZWE', 1),
(1404, 'Bulawayo', 'ZWE', 1),
(1405, 'Manicaland', 'ZWE', 1),
(1406, 'Midlands', 'ZWE', 1),
(1407, 'Gaza', 'PSE', 1),
(1408, 'Khan Yunis', 'PSE', 1),
(1409, 'Hebron', 'PSE', 1),
(1410, 'North Gaza', 'PSE', 1),
(1411, 'Nablus', 'PSE', 1),
(1412, 'Rafah', 'PSE', 1);

CREATE TABLE `friends` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user1` int(10) unsigned NOT NULL,
  `user2` int(10) unsigned NOT NULL,
  `shipdate` int(10) unsigned NOT NULL DEFAULT '0',
  `accepted` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `groups` (
  `idgroup` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `idcreator` int(10) unsigned NOT NULL,
  `url` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `name_group` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `about_group` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `cover_group` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `num_members` int(10) unsigned NOT NULL DEFAULT '0',
  `num_followers` int(10) unsigned NOT NULL DEFAULT '0',
  `num_posts` int(10) unsigned NOT NULL DEFAULT '0',
  `privacy` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Public   1: Closed   2: Secret ',
  `who_add_members` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '0: members   1: admins',
  `who_write_posts` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: members   1: admins',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `created` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idgroup`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `groups_members` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idgroup` bigint(20) unsigned NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `added_by` int(10) unsigned NOT NULL,
  `accepted_by` tinyint(1) unsigned NOT NULL,
  `when_request` int(10) unsigned NOT NULL,
  `when_accepted` int(10) unsigned NOT NULL,
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: pending   1: accepted',
  `is_admin` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '0: No   1: Yes',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `hiddens` (
  `idhidden` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `typeitem` tinyint(1) unsigned NOT NULL COMMENT '1: Post   2: Comment',
  `iditem` bigint(20) unsigned NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `whendate` int(11) NOT NULL,
  PRIMARY KEY (`idhidden`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `likes` (
  `idlike` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idpost` bigint(20) unsigned NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `datewhen` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idlike`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads` (
  `idad` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `headline` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `descriptionline1` varchar(35) COLLATE utf8_unicode_ci NOT NULL,
  `descriptionline2` varchar(35) COLLATE utf8_unicode_ci NOT NULL,
  `url_destination` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `url_visible` varchar(35) COLLATE utf8_unicode_ci NOT NULL,
  `image` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `created` int(10) unsigned NOT NULL,
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '0: pause   1: run   2: deleted',
  `typeaction` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Undefinied   1: Impressions   2: Clicks',
  `clicks_available` int(10) unsigned NOT NULL DEFAULT '0',
  `impressions_available` int(10) unsigned NOT NULL DEFAULT '0',
  `num_impressions` int(10) unsigned NOT NULL DEFAULT '0',
  `num_impressions_unique` int(10) unsigned NOT NULL DEFAULT '0',
  `num_clicks` int(10) unsigned DEFAULT '0',
  `num_clicks_unique` int(10) unsigned NOT NULL DEFAULT '0',
  `available` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: no available   1: available',
  `last_assignedby` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Indefined   1: Admin   2: Paypal',
  `status_admin` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: authorized   1: Under review',
  PRIMARY KEY (`idad`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads_clicks_days` (
  `idclick` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idad` int(10) unsigned NOT NULL,
  `idcampania` int(10) unsigned NOT NULL COMMENT 'id of plan assigned',
  `whendate` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `clicks_unique` smallint(5) unsigned NOT NULL DEFAULT '0',
  `clicks_simple` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`idclick`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads_clicks_hours` (
  `idclick` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idad` int(10) unsigned NOT NULL,
  `idcampania` int(10) unsigned NOT NULL COMMENT 'id of plan assigned',
  `whendate` varchar(13) COLLATE utf8_unicode_ci NOT NULL,
  `clicks_unique` smallint(5) unsigned NOT NULL DEFAULT '0',
  `clicks_simple` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`idclick`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads_impress_days` (
  `idimpress` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idad` int(10) unsigned NOT NULL,
  `idcampania` int(10) unsigned NOT NULL COMMENT 'id of plan assigned',
  `whendate` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `impress_unique` smallint(5) unsigned NOT NULL DEFAULT '0',
  `impress_simple` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`idimpress`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads_impress_hours` (
  `idimpress` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idad` int(10) unsigned NOT NULL,
  `idcampania` int(10) unsigned NOT NULL COMMENT 'id of plan assigned',
  `whendate` varchar(13) COLLATE utf8_unicode_ci NOT NULL,
  `impress_unique` smallint(5) unsigned NOT NULL DEFAULT '0',
  `impress_simple` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`idimpress`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads_paypal` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `whendate` int(10) unsigned DEFAULT NULL,
  `item_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `item_number` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `quantity` int(11) unsigned DEFAULT NULL,
  `payment_status` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_amount` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_currency` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payer_email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `invoice` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `first_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `last_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_country` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_country_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_zip` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_state` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_street` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads_plans` (
  `idplan` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `name_plan` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `typeaction` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1: Impressions   2: Clicks',
  `quantity` int(10) unsigned NOT NULL DEFAULT '0',
  `price` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`idplan`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `my_ads_plans_assigned` (
  `idassigned` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `idad` int(10) unsigned NOT NULL,
  `idplan` int(10) unsigned NOT NULL,
  `assignedby` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1: Admin   2: Paypal',
  `idassigner` int(10) unsigned NOT NULL COMMENT 'may be the "id" in the paypal table',
  `whendate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idassigned`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `notifications` (
  `idnotification` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `notif_type` tinyint(3) unsigned NOT NULL COMMENT '1: Follow me   2: like my post   3: Comment my post   4: Send me a message    5: Friend Request Sent   6: Confirm to Friend Request   7:Share my post   8: Write in my wall   9: Like my page   10: Send request to my group   11: Accepted request group   12:',
  `idresult` bigint(20) unsigned NOT NULL COMMENT 'idcomment   or   idlike or idpost shared',
  `to_user_id` int(10) unsigned NOT NULL,
  `from_user_id` int(10) unsigned NOT NULL,
  `notif_object_type` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '1: Post   2: Album   3: Page   4: Group',
  `notif_object_id` bigint(20) unsigned NOT NULL COMMENT 'idpost or idalbum or idpage or idgroup',
  `read` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idnotification`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `pages` (
  `idpage` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `idcategory` int(10) unsigned NOT NULL,
  `idsubcategory` int(10) unsigned NOT NULL,
  `idowner` int(10) unsigned NOT NULL,
  `url` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `avatar_page` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `cover_page` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `num_likes` int(10) unsigned NOT NULL DEFAULT '0',
  `num_followers` int(10) unsigned NOT NULL DEFAULT '0',
  `num_posts` int(10) unsigned NOT NULL DEFAULT '0',
  `who_write_in_page` tinyint(1) unsigned NOT NULL DEFAULT '2' COMMENT '0: Any   1: likers   2: Administrators',
  `who_can_send_messages` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Any   1: likers   2: Nobody',
  `verified` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `created` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idpage`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `pages_admin` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idpage` bigint(20) unsigned NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `pages_cat` (
  `idcategory` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `idfather` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `num_children` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`idcategory`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `pages_likes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idpage` bigint(20) unsigned NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `whendate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `posts` (
  `idpost` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `post` text COLLATE utf8_unicode_ci NOT NULL,
  `typepost` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `posted_in` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '0: In Timeline   1: In Page   2: In Group',
  `id_wall` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'idprofile, or idpage, or idgroup',
  `valueattach` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `who_see` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Public   1: Friends   2: Only me',
  `numlikes` int(10) unsigned NOT NULL DEFAULT '0',
  `numcomments` int(10) unsigned NOT NULL DEFAULT '0',
  `numshares` int(10) unsigned NOT NULL DEFAULT '0',
  `whendate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idpost`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `relations` (
  `idrelation` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `leader` int(10) unsigned NOT NULL,
  `type_leader` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: user  1: page   2: group',
  `subscriber` int(10) unsigned NOT NULL,
  `rltdate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idrelation`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `reports` (
  `idreport` bigint(20) NOT NULL AUTO_INCREMENT,
  `typeitem` tinyint(1) unsigned NOT NULL COMMENT '1: post   2: comment',
  `iditem` bigint(20) unsigned NOT NULL,
  `idinformer` int(10) unsigned NOT NULL,
  `iddenounced` int(10) unsigned NOT NULL,
  `whendate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idreport`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `sections` (
  `idpage` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `texthtml` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idpage`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

INSERT INTO `sections` (`idpage`, `code`, `texthtml`) VALUES
(1, 'about', 'Text about here...'),
(2, 'privacy', 'Text Privacy Policy here...'),
(3, 'termsofuse', 'Text Terms of Use here...'),
(4, 'disclaimer', 'Text Disclaimer here...'),
(5, 'contact', 'Text Contact here...');

CREATE TABLE `settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `word` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `value` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `word` (`word`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=45 ;

INSERT INTO `settings` (`id`, `word`, `value`) VALUES
(1, 'SITE_TITLE', 'Friendly Social Network'),
(2, 'LANGUAGE', 'en'),
(3, 'THEME', 'default'),
(4, 'PROTECT_OUTSIDE_PAGES', '0'),
(5, 'USERS_EMAIL_CONFIRMATION', '1'),
(6, 'HOME_INTRO_LINE1', ''),
(7, 'HOME_INTRO_LINE2', ''),
(8, 'COMPANY', 'phpWolves'),
(9, 'SHOW_MENU_LANGUAJE', '1'),
(10, 'SHOW_MENU_THEME', '1'),
(11, 'DEF_TIMEZONE', ''),
(12, 'NUM_NOTIFICATIONS_ALERT', '6'),
(13, 'NUM_NOTIFICATIONSMSG_ALERT', '6'),
(14, 'INTERVAL_NOTIFICATIONS_EVENTS', '10000'),
(15, 'INTERVAL_NOTIFICATIONS_MSGS', '10000'),
(16, 'CHAT_NUM_MSG_START', '10'),
(17, 'CHAT_WITH_EMOTICONS', '1'),
(18, 'CHAT_INTERVAL_REFRESH', '3000'),
(19, 'NUM_FOLLOWERS_PAGE', '10'),
(20, 'NUM_FOLLOWING_PAGE', '10'),
(21, 'NUM_ACTIVITIES_PAGE', '10'),
(22, 'NUM_NOTIFICATIONS_PAGE', '10'),
(23, 'NUM_USERCHAT_PAGE', '10'),
(24, 'NUM_FAVORITES_PAGE', '10'),
(25, 'NUM_SEARCH_PAGE', '10'),
(26, 'SHOW_MENU_PAGES', '1'),
(27, 'SITE_DESCRIPTION', 'Friendly Social Network'),
(28, 'SITE_KEYWORDS', 'social, network'),
(29, 'NUM_PHOTOS_POST', '6'),
(30, 'NUM_RESULT_SEARCH_TOP', '5'),
(31, 'NUM_COMMENTS_PER_POST', '3'),
(32, 'NUM_COMMENTS_DASH_PAGE', '10'),
(33, 'NUM_DAYS_TRENDS', '1'),
(34, 'NUM_TRENDS_SIDEBAR', '10'),
(36, 'BGHOME01', 'bghome.jpg'),
(35, 'NUM_FRIENDS_PAGE', '10'),
(37, 'EMAIL_PAYPAL', 'info@kanorika.com'),
(38, 'EMAIL_NOTIFICATION_PAYPAL', 'paypal@kanorika.com'),
(39, 'NUM_ALBUMS_PAGE', '12'),
(40, 'NUM_PHOTOS_PAGE', '12'),
(41, 'NUM_PHOTOS_BLOCK_UPLOAD', '6'),
(42, 'NUM_LIKES_PAGE', '10'),
(43, 'ADS_AT_ONCE', '2'),
(44, 'NUM_MEMBERS_PAGE', '10');

CREATE TABLE `trends` (
  `idtrend` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `trend` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `iduser` int(10) unsigned NOT NULL,
  `idpost` int(10) unsigned NOT NULL,
  `whendate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idtrend`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE `users` (
  `iduser` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `firstname` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `lastname` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(180) COLLATE utf8_unicode_ci NOT NULL,
  `salt` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `avatar` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `cover` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `gender` tinyint(1) NOT NULL DEFAULT '0',
  `born` date NOT NULL,
  `show_born` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '0: No show 1: Show \r\n\r\nborn',
  `aboutme` text COLLATE utf8_unicode_ci NOT NULL,
  `codecountry` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `idregion` int(10) unsigned NOT NULL,
  `city` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `lat` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `lon` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `num_friends` int(10) unsigned NOT NULL DEFAULT '0',
  `num_followers` int(10) unsigned NOT NULL DEFAULT '0',
  `num_following` int(10) unsigned NOT NULL DEFAULT '0',
  `num_comments` int(10) unsigned NOT NULL DEFAULT '0',
  `num_albums` int(10) unsigned NOT NULL DEFAULT '0',
  `num_posts` int(10) unsigned NOT NULL DEFAULT '0',
  `num_posts_inwall` int(10) unsigned NOT NULL DEFAULT '0',
  `num_likes` int(10) unsigned NOT NULL DEFAULT '0',
  `privacy` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0: Public   1: Friends   2: Privado',
  `validated` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `datevalidated` int(10) unsigned NOT NULL,
  `verified` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `registerdate` int(10) unsigned NOT NULL,
  `ipregister` bigint(20) unsigned NOT NULL,
  `previousaccess` int(10) unsigned NOT NULL,
  `ippreviousaccess` bigint(20) unsigned NOT NULL,
  `lastaccess` int(10) unsigned NOT NULL,
  `iplastaccess` bigint(20) unsigned NOT NULL,
  `lastclick` int(10) unsigned NOT NULL,
  `num_activities` int(10) unsigned NOT NULL DEFAULT '0',
  `num_notifications` int(10) unsigned NOT NULL DEFAULT '0',
  `num_chats` int(10) unsigned NOT NULL DEFAULT '0',
  `num_pages` int(10) unsigned NOT NULL DEFAULT '0',
  `num_groups` int(10) unsigned NOT NULL DEFAULT '0',
  `auth` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `auth_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `facebook` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `twitter` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `linkedin` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `gplus` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `coderecovery` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `who_write_on_my_wall` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Any   1: Friends   2: Nobody',
  `who_can_sendme_messages` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: Any   1: Fiends   2: Nobody',
  `is_network_admin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `leveladmin` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '0: observer   1: Administrator   2: Super Administrator',
  PRIMARY KEY (`iduser`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

INSERT INTO `users` (`iduser`, `code`, `firstname`, `lastname`, `email`, `username`, `password`, `salt`, `avatar`, `cover`, `gender`, `born`, `show_born`, `aboutme`, `codecountry`, `idregion`, `city`, `lat`, `lon`, `num_friends`, `num_followers`, `num_following`, `num_comments`, `num_albums`, `num_posts`, `num_posts_inwall`, `num_likes`, `privacy`, `validated`, `datevalidated`, `verified`, `active`, `registerdate`, `ipregister`, `previousaccess`, `ippreviousaccess`, `lastaccess`, `iplastaccess`, `lastclick`, `num_activities`, `num_notifications`, `num_chats`, `num_pages`, `num_groups`, `auth`, `auth_id`, `facebook`, `twitter`, `linkedin`, `gplus`, `coderecovery`, `who_write_on_my_wall`, `who_can_sendme_messages`, `is_network_admin`, `leveladmin`) VALUES
(1, 'Cr13Z2zHaJj', 'User', 'Main', 'yourmail@yourserver.com', 'usermain', '2ea3c57d52edac34801df128a413e5aedc9996fa6c9abb7e181419c3fbac3b8de55326e23e30cd49b38664b85f07163e73236adad6dfae426d6dad4cd29273b5', 'da52d26d528087c598c84ad0220f277e', '', '', 1, '1973-11-16', 1, 'Nothing for now...', '', 0, '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1407736665, 1, 1, 1405239004, 0, 1410390835, 0, 1410396366, 3195410877, 1410396694, 0, 0, 0, 0, 0, '', '', '', '', '', '', '', 1, 0, 1, 2);

CREATE TABLE `users_pageviews` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `iduser` int(10) unsigned NOT NULL,
  `date` varchar(13) COLLATE utf8_unicode_ci NOT NULL COMMENT 'YY-MM-DD HH',
  `pageviews` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;
